== Changelog ==

= 6.2.0 - 2023-04-07 =
- New: Compatibility with WordPress 6.2.
- New: Twitter widget that doesn't require API keys.
- New: 15 new Arabic Google Web Fonts.
- New: 2 new inline article ad spaces.
- New: Italian language.
- New: Option to set the "theme-color" meta tag to the primary color of the website instead of the header color.
- New: Option to set a custom color for the "theme-color" meta tag.
- Updated: TieLabs Instagram Feed plugin.
- Fix: Duplicated underline appears under the post titles if the "Underline Global text links on hover" is enabled and the "Post title hover style" option is set to "Modern".
- Fix: PHP notices with PHP 8.2.
- Fix: Social Icons color in the Top nav.
- And other improvements and minor bug fixes.

# Files Updated
- functions.php
- style.css
- assets/css/style.css
- assets/css/style.min.css
- assets/css/widgets.css
- assets/css/widgets.min.css
- framework/admin/assets/tie.js
- framework/admin/framework-admin.php
- framework/admin/classes/class-tielabs-settings.php
- framework/admin/theme-options/e3lan.php
- framework/admin/theme-options/styling.php
- framework/classes/class-tielabs-advertisment.php
- framework/classes/class-tielabs-mega-menu.php
- framework/classes/class-tielabs-styles.php
- framework/functions/formatting.php
- framework/functions/general-functions.php
- framework/functions/post-functions.php
- framework/plugins/amp-templates/style.php
- framework/widgets/twitter-embedded.php
- framework/widgets/twitter.php
- framework/widgets/weather.php
- inc/custom-styles.php
- inc/help-links.php
- inc/updates.php
- inc/widgets.php
- languages/it_IT.po
- languages/it_IT.mo
- templates/videos-list.php

-------------------------------------------------------------------------

= 6.1.7 - 2023-03-25 =
- Improved: RTL Google custom search alignments.
- Fix: Custom background of the secondary nav bug.
- And other improvements and minor bug fixes.

# Files Updated
- functions.php
- style.css
- inc/custom-styles.php
- templates/google-search.php

-------------------------------------------------------------------------

= 6.1.6 - 2023-03-24 =
- Updated: Jannah Speed Optimization Plugin 1.2.3
- Updated: Arqam Lite plugin 1.0.11
- Improved: Live Search menu background now takes the same custom color as the container menu.
- Fix: bbPress RTL alignment issues.
- Fix: Google custom search layout issue on Google Chrome.
- Fix: Conflict with the  WooCommerce variants drop-down menus while the Minify HTML option is active.
- And other improvements and minor bug fixes.

# Files Updated
- functions.php
- style.css
- assets/css/plugins/bbpress.css
- assets/css/plugins/bbpress.min.css
- framework/admin/theme-options/web-notifications.php
- framework/classes/class-tielabs-foxpush.php
- framework/functions/general-functions.php
- framework/functions/post-functions.php
- inc/custom-styles.php
- templates/footer-instagram.php
- templates/popup.php

-------------------------------------------------------------------------

= 6.1.5 - 2023-02-23 =
- Updated: Jannah Autoloaded Posts Plugin.
- Updated: Taqyeem plugin.
- Improvement: Support for the softwarAapplication structure data available in the new version of Taqyeem.
- Fix: BuddyPress notifications bug in the header.
- Fix: missing space below the search box in the Search masonry layout.
- Improvements and minor bug fixes.

# Files Updated
- functions.php
- style.css
- assets/css/style.css
- assets/css/style.min.css
- assets/css/sass/admin/components/rtl.scss
- assets/css/sass/admin/components/welcome.scss
- assets/css/sass/components/_page-templates.scss
- framework/admin/assets/style.css
- framework/admin/classes/class-tielabs-verification.php
- framework/plugins/class-tielabs-buddypress.php
- framework/plugins/class-tielabs-taqyeem.php
- templates/category-slider.php

-------------------------------------------------------------------------

= 6.1.4 - 2023-02-21 =
- Updated: TieLabs Instagram Plugin
- Updated: Arqam Lite Plugin
- Improvements and minor bug fixes.

# Files Updated
- functions.php
- style.css
- assets/css/style.css
- assets/css/style.min.css
- framework/admin/assets/style.css
- framework/admin/classes/class-tielabs-settings.php
- framework/classes/class-tielabs-filters.php
- framework/plugins/class-tielabs-buddypress.php
- inc/widgets.php

-------------------------------------------------------------------------

= 6.1.3 - 2023-02-09 =
- Fixed: Menu widget styling issue.
- Fixed: Number of products bug in the WooCommerce block in the TieLabs page builder when the pagination option is active.
- Fixed: Related posts above the footer appears twice if the auto-loaded posts feature is active.
- Fixed: Total number of followers bug in the social counter widget.
- Fixed: Size of the self-hosted video bug in the Post layouts 6 and 7.
- Fixed: Sticky elements are not functioning when the Auto Load Posts feature is disabled on a specific article.
- Improvements and minor bug fixes.

# Files Updated
- functions.php
- rtl.css
- style.css
- assets/css/base.css
- assets/css/base.min.css
- framework/blocks.php
- framework/classes/class-tielabs-advertisment.php
- framework/classes/class-tielabs-filters.php
- framework/classes/class-tielabs-styles.php
- framework/functions/post-actions.php
- framework/functions/post-functions.php
- framework/plugins/class-tielabs-extensions.php
- framework/widgets/social-counters.php
- templates/header/nav-main.php
- templates/single-post/featured.php

-------------------------------------------------------------------------

= 6.1.2 - 2023-01-27 =
- Improvements and minor bug fixes.

# Files Updated
- functions.php
- style.css
- framework/framework-load.php
- ramework/classes/class-tielabs-helper.php

-------------------------------------------------------------------------

= 6.1.1 - 2023-01-12 =
- Improvements and minor bug fixes.

# Files Updated
- functions.php
- style.css
- framework/admin/theme-options.php
- framework/admin/theme-options/dashboard.php
- templates/popup.php

-------------------------------------------------------------------------

= 6.1.0 - 2023-01-12 =
- New: Option to remove the Instagram connection in the Integration section on the theme options page.
- New: method to activate licenses to avoid conflicts if you have multiple licenses.
- Updated: Jannah Speed Optimization plugin.
- Updated: TieLabs Instagram Plugin.
- Improved: Comparability with the Ublock extension (Beta).
- Improved: Display the shortlink box on posts only.
- Improved: Web Stories RTL styles. 
- Fixed: Self-hosted video width bug.
- Fixed: Search bar custom color in the top and main nav.
- Fixed: Disallow Images for adblockers option bug with the AutoLoaded posts.
- Fixed: Custom color for each menu item is not working if the main nav has custom colors. 
- Fixed: Mega menu "Posts – 1st Post Highlighted" styling bug.
- Fixed: Query bug if the block uses categories and tags at the same time.
- Fixed: Conflict with the WPML “Display on Language” option.
- Fixed: Duplicate element ID in the single post page (id=”single-post-meta”).
- Fixed: The H1 tag is missing from the author pages.
- Fixed: "Jump to content" bug with some HTML tags.
- Improvements and minor bug fixes.

# Files Updated
- functions.php
- rtl.css
- style.css
- assets/css/helpers.css
- assets/css/helpers.min.css
- assets/css/single.css
- assets/css/single.min.css
- assets/js/desktop.js
- assets/js/desktop.min.js
- assets/js/scripts.js
- assets/js/scripts.min.js
- framework/admin/framework-admin.php
- framework/admin/page-builder.php
- framework/admin/theme-options.php
- framework/admin/assets/style.css
- framework/admin/classes/class-tielabs-notices.php
- framework/admin/classes/class-tielabs-settings-category.php
- framework/admin/classes/class-tielabs-settings-post.php
- framework/admin/classes/class-tielabs-system-status.php
- framework/admin/classes/class-tielabs-verification.php
- framework/admin/classes/class-tielabs-welcome-page.php
- framework/admin/theme-options/dashboard.php
- framework/admin/theme-options/e3lan.php
- framework/admin/theme-options/footer.php
- framework/admin/theme-options/header.php
- framework/admin/theme-options/images.php
- framework/admin/theme-options/integrations.php
- framework/admin/theme-options/sidebars.php
- framework/admin/theme-options/styling.php
- framework/classes/class-tielabs-advertisment.php
- framework/classes/class-tielabs-foxpush.php
- framework/classes/class-tielabs-mega-menu.php
- framework/classes/class-tielabs-postviews.php
- framework/classes/class-tielabs-styles.php
- framework/classes/class-tielabs-weather.php
- framework/functions/general-functions.php
- framework/functions/post-actions.php
- framework/functions/post-functions.php
- framework/plugins/class-tielabs-extensions.php
- framework/plugins/amp-templates/header-bar.php
- framework/plugins/amp-templates/style.php
- framework/vendor/one-click-demo-import/one-click-demo-import.php
- framework/vendor/one-click-demo-import/inc/class-ocdi-widget-importer.php
- framework/vendor/tgm/class-tgm-plugin-activation.php
- framework/widgets/author.php
- framework/widgets/authors-list.php
- framework/widgets/buymeacoffee.php
- framework/widgets/instagram.php
- framework/widgets/posts.php
- framework/widgets/slider.php
- framework/widgets/social-counters.php
- framework/widgets/tiktok.php
- inc/custom-styles.php
- inc/updates.php
- inc/widgets.php
- templates/breaking-news.php
- templates/login.php
- templates/popup.php
- templates/videos-list.php

-------------------------------------------------------------------------

= 6.0.1 - 2022-12-09 =
- Added: Support for Google Search on mobiles.
- Improved: Contrast color of some sections.
- Improved: Google Search results in the RTL version.
- Improved: Remove the new additional classic-themes.min.css file added by WordPress from the pages that don't use it.
- Fixed: ARIA [role] issue for the main menu.
- Fixed: Appearance of the Newsletter section that appears after the post if the page doesn't have a sidebar.
- Fixed: Appearance of the search box in the not found pages if the page doesn't have a sidebar.
- Fixed: Hide Sidebars option issue that prevents it from working on some pages.
- Fixed: Custom block quote styling issue.
- Fixed: AMP slider/gallery issue.
- Fixed: Number of posts in the mega menu if it contains sub-menu items.
- Improvements and minor bug fixes.

# Files Updated
- functions.php
- sidebar-slide.php
- style.css
- assets/css/helpers.css
- assets/css/helpers.min.css
- assets/css/single.css
- assets/css/single.min.css
- assets/css/style.css
- assets/css/style.min.css
- assets/css/widgets.css
- assets/css/widgets.min.css
- assets/css/ie/ie-lt-10.css
- assets/js/desktop.js
- assets/js/desktop.min.js
- framework/admin/framework-admin.php
- framework/admin/assets/images/quote-default.png
- framework/admin/assets/images/quote-solid.png
- framework/admin/theme-options/mobile.php
- framework/admin/theme-options/styling.php
- framework/classes/class-tielabs-filters.php
- framework/functions/formatting.php
- framework/functions/general-functions.php
- framework/functions/mobile-functions.php
- framework/functions/page-templates.php
- framework/plugins/amp-templates/featured-image.php
- framework/widgets/newsletter.php
- inc/custom-styles.php
- inc/updates.php
- inc/inline-styles/widgets.php
- templates/google-search.php
- templates/popup.php


-------------------------------------------------------------------------

= 6.0.0 - 2022-12-05 =
- New: Compatibility with WordPress 6.x.
- New: Compatibility with PHP 8.x (8.0, 8.1, 8.2).
- New: Compatibility with bbPress 2.6.x.
- New: Compatibility with BuddyPress 10.x.
- New: Compatibility with WooCommerce 7.x.
- New: signature option in the about widget.  
- New: Signature option for each author that appears at the end of the post and in the about author widget.
- New: One-click copy short link box posts.
- New: Options to change the default featured image sizes directly from the theme options page.
- New: Custom mobile logo.
- New: Option to set a custom title for the post to appear on the single post page.
- New: Option to change the views icon to an eye icon instead of the default fire icon.
- New: Built-in Most viewed posts in the last 7 days.
- New: Add support to post views from the WP Statistics plugin
- New: Using CSS custom properties to reduce the size of the custom auto-generated CSS codes.
- New: Option in Jannah Optimization plugin to preload the logo.
- New: Option in Jannah Optimization plugin to preload the main featured image in the single post page.
- New: Option in Jannah Optimization plugin to preload images of the first slider on the homepage.
- New: Option in Jannah Optimization plugin to preload icon fonts.
- New: Option to lazyLoad Google Adsense Ads (Beta).
- New: Option to lazyLoad Youtube Videos.
- New: Add support for Lazyloading iframes.
- New: Add support for Lazyloading the sections' backgrounds.
- New: Add support for Lazyloading the mega menus' backgrounds.
- New: Add support for Lazyloading the images in the masonry pages.
- New: Patreon Widget.
- New: BuyMeACoffee Widget.
- New: Floating right and left Ad spaces.
- New: Google custom search.
- New: Full-width Ad space below the auto-load posts.
- New: Ad space below the post title for specific post layouts.
- New: 3 new between posts ad spaces.
- New: Option to dismiss the Adblocker popup message.
- New: Reduce Bounce rate and encourage readers to disable AdBlocker by replacing all Featured Images with placeholder image.
- New: Option to delay the appearance of the Adblocker popup message for x seconds.
- New: Option to show the Adblocker popup message once for the visitor.
- NEW: Option in the about author widget to center the content.
- New: Option to set the length of the titles in the posts list widget.
- New: Option in the tags widget to set the number of tags.
- New: Option to exclude categories by IDs in the categories widget.
- New: Circled featured image layout in the posts list widget.
- NEW: Author list widget like the authors template page.
- NEW: Add Co-Author plugin support for the Custom Author Content widget.
- NEW: Add Co-Author plugin support for the Posts by Post’s Author widget.
- New: Sticky menu options for the single post page to display the title, share buttons, and next/prev buttons.
- New: Popular/last/featured posts menu in the main nav. 
- New: Mega Menu pagination option.
- New: Options to disable the main menu borders.
- New: Option to set a custom color for each menu item in the main nav. 
- New: Options to disable the mega menu settings in the backend.
- New: Ascending and descending order options for the Page builder Blocks.
- New: Ascending and descending order options for the category pages.
- New: Ascending and descending order options for the Check Also section.
- New: Ascending and descending order options for the Read Next slider.
- New: Ascending and descending order options for the Related posts section.
- New: Ascending and descending order options for the Inline Related Posts section.
- New: Now you can use categories and tags at the same time in the homepage blocks.
- New: Option to query the posts that have been published in the last x days.
- New: Option to only shows the trending posts in the Page builder Blocks.
- New: Option in the post-edit page to disable the auto-load posts for the current post.
- New: Option in the category edit page to disable the auto-load posts for all posts in this category.
- New: option to auto-load the most recent posts.
- New: option to auto-load random posts.
- New: Option to display the sidebar once on mobiles for the autoloaded posts
- New: Add support for the favicon in the AMP pages.
- New: Option add rel=sponsored to the buttons shortcode.
- New: Meta Description tag for the archives.
- New: Typography option for the post subtitle.
- New: Video structure data.
- New: Creating a jump to the Post Contents is now much easier by just choosing the header tag.
- NEW: Option to exclude authors by IDs from the authors list page.
- New: Option to set a custom title for the Story Highlights section.
- New: Compatibility with Twitter API v2.0.
- New: Option to disable the LightBox feature.
- New: Compatibility with the Google Web Stories plugin.
- New: Web stories section, display the stories below the header.
- New: Web stories section, display the stories above the footer.
- New: Custom layout for the web stories page.
- New: Web stories blocks in the page builder with multiple layouts to choose from.
- New: A lot of options to customize the Web Stories archive page.
- New: Blocks shadow option.
- New: Sticky Circle share buttons on the single post page.
- New: Options to set a custom color for each widget.
- New: Option to change the position of the reading indicator to the top.
- New: Option to set the default quote layout.
- New: Option to change the quote background and colors.
- New: link hovering style option.
- New: Option in the category settings page to set a custom color for all posts in this category.
- Tweak: Replace http with https for logos.
- Tweak: stop loading preload resources on the AMP pages.
- Fixed: URLs of the hashtags in the Twitter widget.
- Tweak: Removed the extra CSS and Js files of the blocks added by Woocommerce, bbPress, and BuddyPress.
- Tweak: Avoid post views increments on revisions/drafts.
- Fixed: The login icon is missing if the Gravatar option is disabled.
- Fixed: Slideshow shortcode loading height issue.
- Fixed: Total followers number in the Arqam widget.
- Fixed: Sections with Left Sidebar are not aligned perfectly,
- Fixed: Share buttons SSL issue in Jannah extensions plugin.
- Fixed: Self-hosted videos width issue in magazine2 layout.
- Fixed: Change class widget-ad-image to avoid adblockers
- Fixed: Autoload posts bug if the post has multiple pages.
- And Improvements and minor bug fixes.

# Files Updated
- Replace the whole theme folder as a lot of files have been modified in this update.


-------------------------------------------------------------------------

= 5.4.10 - 2021-11-24 =
- Improvements and minor bug fixes.

# Files Updated
- functions.php
- style.css
- assets/js/scripts.js
- assets/js/scripts.min.js
- framework/classes/class-tielabs-filters.php
- framework/widgets/posts.php


-------------------------------------------------------------------------

= 5.4.9 - 2021-09-28 =
- Fixed: Bug in the posts list widget.
- Fixed: Bug in the RTL dashboard direction while the "English WP Admin" plugin is active.

# Files Updated
- functions.php
- style.css
- framework/classes/class-tielabs-filters.php
- framework/widgets/posts.php


-------------------------------------------------------------------------

= 5.4.8 - 2021-09-15 =
- Fixed: Bug in the new posts list blocks.
- Fixed: Bug in saving the categories in the posts lists widget.
- Fixed: Enable/disable the excerpt bug on the homepage.
- Fixed: Enable/disable the Read more button bug on the homepage.
- Improved: Tables style in the AMP pages.
- Improvements and minor bug fixes.

# Files Updated
- functions.php
- index.php
- style.css
- assets/js/scripts.js
- assets/js/scripts.min.js
- framework/admin/framework-admin.php
- framework/classes/class-tielabs-filters.php
- framework/classes/class-tielabs-mega-menu.php
- framework/classes/class-tielabs-styles.php
- framework/functions/formatting.php
- framework/functions/post-actions.php
- framework/plugins/amp-templates/style.php
- framework/widgets/posts.php
- inc/updates.php


-------------------------------------------------------------------------


= 5.4.7 - 2021-08-11 =
- UPDATED: WordPress 5.8.0 Compatibility.
- NEW: Option in the theme options page > Advanced tab to restore the previous widgets settings screens and disables the block editor from managing widgets.
- NEW: Add support for the WebP image format for the video's thumbnail auto-download feature. 
- Fixed: Page builder styling issues.
- Fixed: Custom templates options issue in the post add/edit page.
- Fixed: Auto-download Vimeo video's thumbnail issue.
- Improvements and minor bug fixes.

# Files Updated
- functions.php
- style.css
- framework/admin/framework-admin.php
- framework/admin/assets/style.css
- framework/admin/assets/tie.js
- framework/admin/classes/class-tielabs-builder-widgets.php
- framework/admin/classes/class-tielabs-notices.php
- framework/admin/classes/class-tielabs-settings-post.php
- framework/admin/theme-options/advanced.php
- framework/classes/class-tielabs-filters.php
- framework/classes/class-tielabs-videos.php


-------------------------------------------------------------------------

= 5.4.6 - 2021-07-18 =
- Updated: Arqam Lite plugin.
- Updated: TieLabs Instagram Plugin.
- Improved: Auto disable the description and OG metas if the Rank Math SEO plugin is active.
- Fixed: Direction of the next/prev posts arrows in the RTL version.
- Fixed: LightBox issue with the JetPack Tiled galleries.
- Improvements and minor bug fixes.

# Files Updated
- functions.php
- rtl.css
- style.css
- assets/css/base.css
- assets/css/base.min.css
- assets/css/helpers.css
- assets/css/helpers.min.css
- assets/ilightbox/lightbox.js
- framework/admin/classes/class-tielabs-admin-helper.php
- framework/classes/class-tielabs-filters.php
- framework/classes/class-tielabs-opengraph.php
- framework/functions/post-functions.php
- framework/plugins/class-tielabs-amp.php

-------------------------------------------------------------------------

= 5.4.5 - 2021-06-10 =
- Improvements and minor bug fixes.

# Files Updated
- functions.php
- sidebar-slide.php
- style.css
- assets/css/plugins/woocommerce.css
- assets/css/plugins/woocommerce.min.css
- framework/admin/classes/class-tielabs-settings-category.php
- framework/admin/classes/class-tielabs-settings-post.php
- framework/admin/classes/class-tielabs-settings.php
- framework/admin/classes/class-tielabs-system-status.php
- framework/admin/theme-options/integrations.php
- framework/classes/class-tielabs-ajax.php
- framework/classes/class-tielabs-mega-menu.php
- framework/classes/class-tielabs-weather.php
- framework/functions/general-functions.php
- framework/functions/post-functions.php
- framework/plugins/class-tielabs-amp.php
- framework/plugins/class-tielabs-woocommerce.php
- framework/plugins/amp-templates/style.php
- framework/widgets/instagram.php
- framework/widgets/tiktok.php
- templates/_featured.dev.php
- templates/featured.php
- templates/popup.php
- templates/header/components.php
- templates/loops/loop-authors-widget.php
- templates/loops/loop-mega-menu-default.php
- templates/single-post/fly-box.php
- templates/single-post/read-next.php

-------------------------------------------------------------------------

= 5.4.4 - 2021-05-30 =
- Improvements and minor bug fixes.

# Files Updated
- functions.php
- style.css
- assets/css/base.css
- assets/css/base.min.css
- assets/css/single.css
- assets/css/single.min.css
- assets/css/style.css
- assets/css/style.min.css
- assets/css/plugins/woocommerce.css
- assets/css/plugins/woocommerce.min.css
- framework/classes/class-tielabs-ajax.php
- framework/classes/class-tielabs-weather.php
- framework/functions/post-functions.php
- framework/widgets/youtube.php
- templates/archives.php

-------------------------------------------------------------------------

= 5.4.3 - 2021-05-08 =
- Improvements and minor bug fixes.
- Updated: Jannah Optimization plugin.

# Files Updated
- functions.php
- style.css
- assets/js/scripts.js
- assets/js/scripts.min.js
- framework/admin/assets/page-widgets.js
- framework/classes/class-tielabs-advertisment.php
- framework/classes/class-tielabs-styles.php
- framework/functions/post-functions.php
- framework/plugins/class-tielabs-amp.php
- inc/theme-setup.php
- templates/header/components.php

-------------------------------------------------------------------------

= 5.4.2 - 2021-04-20 =
- Fix: Adblocker detection issue caused by version 5.4.1

# Files Updated
- functions.php
- style.css
- assets/js/scripts.js
- assets/js/scripts.min.js
- framework/admin/classes/class-tielabs-demo-importer.php

-------------------------------------------------------------------------

= 5.4.1 - 2021-04-19 =
- Tweak: New PHP filters and actions.
- Improved: the position of the "Sale" badge in the single WooCommerce product page on mobiles.
- Fix: Custom Post content font size overrides the font size of the Advertisement title.
- Fix: Below Posts ad space overlaps the checkout button in the WooCommerce checkout page.
- Fix: The position of the remove product button in the RTL WooCommerce cart page.
- Fix: Adblocker detection issue.
- Fix: PHP 8.0 Warning notices.
- Fix: Custom page templates options issue.
- Fix: Disable Font Awesome option bug.
- Fix: Optimize CSS delivery option bug while the Jannah AutoLoad posts plugin is active.
- Updated: Taqyeem plugin.
- Updated: Jannah Optimization plugin.
- Updated: Jannah Auto Load Posts plugin
- Improvements and minor bug fixes.

# Files Updated
- functions.php
- index.php
- style.css
- assets/css/base.css
- assets/css/base.min.css
- assets/css/single.css
- assets/css/single.min.css
- assets/css/plugins/woocommerce.css
- assets/css/plugins/woocommerce.min.css
- assets/js/scripts.js
- assets/js/scripts.min.js
- framework/admin/assets/tie.js
- framework/admin/classes/class-tielabs-admin-helper.php
- framework/classes/class-tielabs-helper.php
- framework/classes/class-tielabs-mega-menu.php
- framework/classes/class-tielabs-postviews.php
- framework/vendor/one-click-demo-import/data/post-content-rtl.txt
- framework/vendor/one-click-demo-import/data/post-content.txt

-------------------------------------------------------------------------

= 5.4.0 - 2021-02-24 =
- New: Option to set the speed of the breaking news section in the header.
- New: Option to add codes in the <head> area of the AMP pages.
- New: Option to add codes after the opening of the <body> tag of the AMP pages.
- Improvements and minor bug fixes.

# Files Updated
- functions.php
- style.css
- assets/js/br-news.js
- framework/admin/framework-admin.php
- framework/admin/classes/class-tielabs-admin-helper.php
- framework/admin/classes/class-tielabs-theme-updater.php
- framework/admin/theme-options/amp.php
- framework/admin/theme-options/dashboard.php
- framework/admin/theme-options/header.php
- framework/functions/general-functions.php
- framework/plugins/class-tielabs-amp.php
- framework/plugins/amp-templates/style.php
- inc/style.php
- inc/updates.php
- languages/tr_TR.mo
- languages/tr_TR.po
- templates/breaking-news.php
- templates/header/nav-top.php
- templates/single-post/featured.php

-------------------------------------------------------------------------

= 5.3.4 - 2021-02-14 =
- Improvements and minor bug fixes.

# Files Updated
- functions.php
- style.css
- assets/css/single.css
- assets/css/single.min.css
- assets/css/style.css
- assets/css/style.min.css
- assets/js/br-news.js
- assets/js/sliders.min.js
- framework/plugins/class-tielabs-bbpress.php
- framework/plugins/amp-templates/style.php
- inc/style.php

-------------------------------------------------------------------------

= 5.3.3 - 2021-02-10 =
- Improved: Contact Form 7 fields direction in the RTL version.
- Improved: Share buttons size on the AMP pages.
- Improved: Rounded style added for more elements.
- Improved: Support for custom tags in the logo text mode.
- Fixed: Target and Nofollow options bug in the Ad block.
- Fixed: JS conflicts with the Ads Pro plugin in the theme options page.
- Fixed: Total number of followers bug in the social counter widget.
- Fixed: Bug in the Turkish translation files that cause a PHP warning message in the Install plugins page.
- Fixed: Bug in the login widget caused by the JetPack plugin.
- Improvements and minor bug fixes.

# Files Updated
- functions.php
- rtl.css
- style.css
- assets/css/helpers.css
- assets/css/helpers.min.css
- assets/css/single.css
- assets/css/single.min.css
- assets/css/style.css
- assets/css/style.min.css
- assets/css/widgets.css
- assets/css/widgets.min.css
- framework/blocks.php
- framework/admin/framework-admin.php
- framework/admin/assets/style.css
- framework/admin/classes/class-tielabs-admin-helper.php
- framework/admin/classes/class-tielabs-notices.php
- framework/admin/theme-options/dashboard.php
- framework/admin/theme-options/share.php
- framework/classes/class-tielabs-logging.php
- framework/functions/general-functions.php
- framework/functions/post-functions.php
- framework/plugins/class-tielabs-amp.php
- framework/plugins/amp-templates/style.php
- framework/widgets/social-counters.php
- inc/style.php
- inc/updates.php
- languages/tr_TR.mo
- languages/tr_TR.po

-------------------------------------------------------------------------

= 5.3.2 - 2021-01-19 =
- Improvements and minor bug fixes.

# Files Updated
- functions.php
- style.css
- assets/css/widgets.css
- assets/css/widgets.min.css
- framework/admin/framework-admin.php
- inc/style.php

-------------------------------------------------------------------------

= 5.3.1 - 2021-01-16 =
- Improvements and minor bug fixes.

# Files Updated
- functions.php
- sidebar-slide.php
- style.css
- templates/loops/loop-widgets.php

-------------------------------------------------------------------------

= 5.3.0 - 2021-01-14 =
- New: 114 Google Fonts.
- New: Compatibility With PHP 8.0.
- New: Styling Support for the new Woocommerce Gutenberg Blocks.
- New: White Label custom icon support for the settings page in the admin bar.
- New: Support the custom menu of posts and pages on mobile.
- Fix: Page builder Loading issue if the website contains more than 1000 categories.
- Fix: Gravity Forms issue while the LazyLoad option is active.
- Updated: Jannah Optimization plugin.
- Improvements and minor bug fixes.

# Files Updated
- functions.php
- rtl.css
- sidebar-slide.php
- style.css
- assets/css/style.css
- assets/css/style.min.css
- assets/css/widgets.css
- assets/css/widgets.min.css
- assets/css/ie/ie-lt-10.css
- assets/css/plugins/woocommerce.css
- assets/css/plugins/woocommerce.min.css
- framework/framework-load.php
- framework/admin/framework-admin.php
- framework/admin/page-builder.php
- framework/admin/theme-options.php
- framework/admin/classes/class-tielabs-admin-helper.php
- framework/admin/classes/class-tielabs-builder-widgets.php
- framework/classes/class-tielabs-mega-menu.php
- framework/functions/general-functions.php
- framework/functions/post-functions.php
- framework/plugins/class-tielabs-fbinstant-articles.php
- framework/vendor/one-click-demo-import/one-click-demo-import.php
- framework/widgets/snapchat.php
- inc/updates.php
- templates/loops/loop-widgets.php

-------------------------------------------------------------------------

= 5.2.1 - 2020-12-26 =
- Improvements and minor bug fixes.

# Files Updated
- functions.php
- style.css
- assets/css/single.css
- assets/css/single.min.css
- assets/css/style.css
- assets/css/style.min.css
- assets/css/ie/ie-lt-10.css
- assets/css/plugins/bbpress.css
- assets/css/plugins/bbpress.min.css
- framework/admin/assets/style.css
- framework/classes/class-tielabs-filters.php
- framework/classes/class-tielabs-styles.php
- framework/plugins/class-tielabs-bbpress.php
- inc/style.php
- inc/theme-setup.php

-------------------------------------------------------------------------

= 5.2.0 - 2020-12-20 =
- New: New options to hide the above article, above Content, below Content, below article, and below comments Ads on mobiles.
- New: Preload the main slider images on the homepage to reduce the LCP.
- New: Preload the featured image on the single post page to reduce the LCP.
- New: Option for WhatApp added in the social networks.
- New: lazyLoad for the iframes.
- Improved: Borders color for some elements on Dark skin mode.
- Fixed: issue in the mega menu that could cause PHP notices.
- Fixed: issue in the font settings that could cause PHP notices.
- Fixed: Theme settings icon in the AMP pages.
- Updated: Jannah Speed Optimization plugin to version 1.0.7.
- And Improvements and minor bug fixes.

# Files Updated
- functions.php
- style.css
- assets/css/base.css
- assets/css/base.min.css
- assets/css/style.css
- assets/css/style.min.css
- assets/css/ie/ie-lt-10.css
- framework/blocks.php
- framework/admin/framework-admin.php
- framework/admin/theme-options/dashboard.php
- framework/admin/theme-options/mobile.php
- framework/classes/class-tielabs-mega-menu.php
- framework/classes/class-tielabs-styles.php
- framework/functions/formatting.php
- framework/functions/general-functions.php
- framework/functions/media-functions.php
- framework/plugins/amp-templates/style.php
- inc/style.php
- templates/featured.php
- templates/single-post/featured.php

-------------------------------------------------------------------------

= 5.1.1 - 2020-12-10 =
- Prepared the theme settings and functions for our upcoming premium mega project, who can say NO for native mobile apps that fully integrated with Jannah! if you are interested in early access invitation just send us an email via our profile page on Themeforest.
- New: Option in the About widget to set an ALT text for the image.
- UPDATED: WordPress 5.6.0 Compatibility.
- Improved: Tables styling.
- Improved: The Sticky logo in the Light/Dark modes.
- Improved: Auto loaded posts padding.
- Fix: In-posts links in the dark skin mode.
- Fix: Loading icon bug on Firefox on Android.
- Fix: Main nav styling bug.
- Fix: The background of Post layout 8 in the dark skin mode.
- Fix: Icon Picker backend bug.
- Updated: Jannah Auto Load Posts plugin to version 1.1.1.
- And Improvements and minor bug fixes.

# Files Updated
- functions.php
- rtl.css
- style.css
- assets/css/base.css
- assets/css/base.min.css
- assets/css/single.css
- assets/css/single.min.css
- assets/css/style.css
- assets/css/style.min.css
- assets/css/widgets.css
- assets/css/widgets.min.css
- assets/css/ie/ie-lt-10.css
- assets/js/scripts.js
- assets/js/scripts.min.js
- framework/admin/framework-admin.php
- framework/admin/assets/style.css
- framework/admin/theme-options/e3lan.php
- framework/admin/assets/tie.js
- framework/classes/class-tielabs-advertisment.php
- framework/classes/class-tielabs-foxpush.php
- framework/classes/class-tielabs-helper.php
- framework/functions/general-functions.php
- framework/widgets/about.php
- inc/style.php
- templates/category-footer.php

-------------------------------------------------------------------------

= 5.1.0 - 2020-12-05 =
- New: 3 new inline article ad spaces.
- Improved: Post content padding on mobiles.
- Fix: Loading icon bug on Firefox on Android.
- Fix: Main nav styling bug.
- Updated: TieLabs Instagram Plugin to version 1.0.2.
- And Improvements and minor bug fixes.

# Files Updated
- functions.php
- style.css
- wpml-config.xml
- assets/css/single.css
- assets/css/single.min.css
- assets/css/style.css
- assets/css/style.min.css
- assets/css/widgets.css
- assets/css/widgets.min.css
- assets/js/scripts.js
- assets/js/scripts.min.js
- framework/admin/framework-admin.php
- framework/admin/classes/class-tielabs-demo-importer.php
- framework/admin/theme-options/e3lan.php
- framework/classes/class-tielabs-advertisment.php
- framework/classes/class-tielabs-foxpush.php
- framework/classes/class-tielabs-helper.php
- inc/style.php

-------------------------------------------------------------------------

= 5.0.9 - 2020-11-21 =
- New: Option to auto load posts by tags.
- Updated: Arqam Lite plugin to version 1.0.8.
- Updated: Jannah - Extensions Plugin to version 1.0.13
- Updated: Jannah Autoload Posts plugin to version 1.1.0.
- Updated: TieLabs Instagram Plugin to version 1.0.1.
- Tweak: Replaced bp_before_xprofile_cover_image_settings_parse_args filter with the new bp_before_members_cover_image_settings_parse_args filter.
- Fix: Links color in the post content area.
- Fix: Grid Slider width on mobiles.
- Fix: Tabs height bug on Firefox on Android.
- Fix: Styling bug in the Instagram widget.
- Fix: Adblocker detection issue.
- Fix: Duplicated auto loaded posts bug.
- And Improvements and minor bug fixes.

# Files Updated
- functions.php
- style.css
- assets/css/single.css
- assets/css/single.min.css
- assets/css/style.css
- assets/css/style.min.css
- assets/css/widgets.css
- assets/css/widgets.min.css
- assets/js/ads.js
- assets/js/scripts.js
- assets/js/scripts.min.js
- framework/blocks.php
- framework/admin/theme-options/e3lan.php
- framework/admin/theme-options/header.php
- framework/admin/theme-options/integrations.php
- framework/admin/theme-options/logo.php
- framework/admin/theme-options/mobile.php
- framework/admin/theme-options/posts.php
- framework/admin/theme-options/share.php
- framework/admin/theme-options/styling.php
- framework/classes/class-tielabs-advertisment.php
- framework/classes/class-tielabs-styles.php
- framework/plugins/class-tielabs-buddypress.php
- inc/updates.php
- templates/popup.php

-------------------------------------------------------------------------

= 5.0.8 - 2020-11-14 =
- Improved: Tiktok items width on mobiles.
- Improved: Co-Authors Plus plugin in the AMP pages.
- Tweak: Add LightBox support for the WebP images.
- Tweak: Removed pingback link meta from the header.php file.
- Tweak: Rounded style added for more elements.
- Fix: Adsense Ads height on mobiles.
- Fix: Bug in the "Extend the background of the first section to cover the Header" option.
- Fix: Color of the links in the post content area in the dark mode.
- Fix: Primary button shortcode margins.
- Fix: Styling issues on Firefox on Android.
- Fix: Taqyeem hearts icons bug.
- Fix: Custom content block conflict with the Elementor plugin.
- Fix: Compact comments bug while the comments are closed.
- Updated: Jannah Autoload Posts plugin.
- And Improvements and minor bug fixes.

# Files Updated
- functions.php
- header.php
- style.css
- assets/css/base.css
- assets/css/base.min.css
- assets/css/editor-style.css
- assets/css/single.css
- assets/css/single.min.css
- assets/css/style.css
- assets/css/style.min.css
- assets/css/widgets.css
- assets/css/widgets.min.css
- assets/css/ie/ie-lt-10.css
- assets/css/plugins/buddypress.css
- assets/css/plugins/buddypress.min.css
- assets/css/plugins/taqyeem.css
- assets/css/plugins/taqyeem.min.css
- assets/css/plugins/woocommerce.css
- assets/css/plugins/woocommerce.min.css
- assets/ilightbox/lightbox.js
- assets/ilightbox/dark-skin/skin.css
- assets/ilightbox/light-skin/skin.css
- assets/ilightbox/mac-skin/skin.css
- assets/ilightbox/metro-black-skin/skin.css
- assets/ilightbox/metro-white-skin/skin.css
- assets/ilightbox/smooth-skin/skin.css
- assets/js/scripts.js
- assets/js/scripts.min.js
- assets/js/single.min.js
- framework/blocks.php
- framework/admin/theme-options/dashboard.php
- framework/classes/class-tielabs-foxpush.php
- framework/classes/class-tielabs-opengraph.php
- framework/functions/general-functions.php
- framework/functions/media-functions.php
- framework/functions/post-actions.php
- framework/plugins/class-tielabs-amp.php
- framework/plugins/class-tielabs-fbinstant-articles.php
- framework/plugins/amp-templates/meta-coauthors.php
- framework/vendor/tgm/class-tgm-plugin-activation.php
- inc/style.php
- inc/theme-setup.php
- templates/category-footer.php
- templates/footer-tiktok.php
- templates/login.php

-------------------------------------------------------------------------

= 5.0.7 - 2020-09-13 =
- Improvements and minor bug fixes.

# Files Updated
- functions.php
- style.css
- assets/js/scripts.js
- assets/js/scripts.min.js

-------------------------------------------------------------------------

= 5.0.6 - 2020-09-13 =
- Fix: Review score position in the grid sliders.
- Fix: RTL widget paginations arrows direction.
- Fix: The width of the slider changes after loading the slider.
- Fix: The featured image width in the default Taqyeem widgets.
- Fix: Icon picker modal location on the RTL websites.
- Fix: Logo size bug.
- Fix: AdBlocker Detector issue on some browsers.
- Fix: Number translations issue in the Ajax loaded content.
- Fix: Logo size issue in the Sticky menu if the retina version is not set.
- Fix: Inline related posts issue.
- Fix: Size of the audio and video player in the AMP pages.
- Fix: Pagination arrows issue in the German translation.
- Fix: Auto Load Type option bug in the new Auto Load Posts feature.
- Tweak: New beta method to reduce the CLS caused by Google Ads.
- Tweak: New Method to generate the Critical CSS code to avoid conflicts with CDN services.
- Tweak: Hide the Instagram notice above the footer if the feature is active but the new plugin is not installed.
- Tweak: Nofollow rel. added to the share buttons.
- Tweak: Rounded style added for more elements.
- Tweak: New PHP filter to disable the theme-color meta.
- Tweak: New PHP filter to modify the preload meta for fonts.
- Tweak: New PHP filter to modify the preload meta for logos.
- Tweak: New PHP filter to modify the preload DNS-prefetch meta.
- updated: Jannah Optimization plugin.
- Updated: Jannah AutoLoad Next Posts plugin.

# Files Updated
- functions.php
- rtl.css
- style.css
- assets/css/base.css
- assets/css/base.min.css
- assets/css/helpers.css
- assets/css/helpers.min.css
- assets/css/style.css
- assets/css/style.min.css
- assets/css/widgets.css
- assets/css/widgets.min.css
- assets/css/plugins/shortcodes.css
- assets/css/plugins/shortcodes.min.css
- assets/css/plugins/woocommerce.css
- assets/css/plugins/woocommerce.min.css
- assets/js/ad.js
- assets/js/scripts.js
- assets/js/scripts.min.js
- framework/admin/assets/style.css
- framework/classes/class-tielabs-advertisment.php
- framework/classes/class-tielabs-filters.php
- framework/classes/class-tielabs-styles.php
- framework/functions/general-functions.php
- framework/functions/post-actions.php
- framework/plugins/class-tielabs-extensions.php
- framework/plugins/amp-templates/style.php
- inc/style.php
- inc/theme-setup.php
- languages/de_DE.mo
- languages/de_DE.po
- templates/footer-instagram.php
- templates/single-post/share.php

-------------------------------------------------------------------------

= 5.0.5 - 2020-09-03 =
- Fix: Logo size bug.
- Improvements and minor bug fixes.

# Files Updated
- functions.php
- rtl.css
- style.css
- assets/css/base.css
- assets/css/base.min.css
- assets/css/style.css
- assets/css/style.min.css
- framework/admin/classes/class-tielabs-required-plugins.php
- framework/classes/class-tielabs-helper.php
- framework/functions/general-functions.php
- inc/style.php

-------------------------------------------------------------------------

= 5.0.4 - 2020-09-02 =
- Added: 4 New Languages, Hungarian (Magyar), Portuguese (Português), German (Deutsch), Argentina (Español de Argentina).
- Updated: Arabic, Persian, Turkish, French, and Portuguese languages.
- Improved: The rounded style for more elements.
- Fix: Logo size issue on Chrome.
- Fix: Empty space below the header in Post Layout 8.
- Fix: Facebook Messenger share bug on the desktop.
- Fix: Co-authors plus - Guests avatar bug in the posts list widget.
- Improvements and minor bug fixes.

# Files Updated
- functions.php
- rtl.css
- style.css
- assets/css/base.css
- assets/css/base.min.css
- assets/css/single.css
- assets/css/single.min.css
- assets/css/style.css
- assets/css/style.min.css
- assets/css/ie/ie-lt-10.css
- framework/admin/assets/style.css
- framework/admin/classes/class-tielabs-notices.php
- framework/admin/classes/class-tielabs-settings-post.php
- framework/admin/theme-options/post-views.php
- framework/admin/theme-options/styling.php
- framework/functions/general-functions.php
- framework/widgets/weather.php
- templates/loops/loop-authors-widget.php
- inc/style.php
- inc/updates.php
- languages/

-------------------------------------------------------------------------

= 5.0.3 - 2020-08-31 =
- Updated: Jannah AutoLoad Posts plugin.
- Improved: The rounded style for some elements.
- Fix: Block Load more button bug.
- Fix: Missing the Dashboard link in the Admin Bar.
- Fix: Live Search on mobiles bug.
- Fix: Search form styling issue on some Android devices.
- Improvements and minor bug fixes.

# Files Updated
- functions.php
- style.css
- assets/css/single.css
- assets/css/single.min.css
- assets/css/style.css
- assets/css/style.min.css
- assets/css/ie/ie-lt-10.css
- framework/blocks.php
- framework/admin/framework-admin.php
- framework/classes/class-tielabs-filters.php
- framework/functions/post-actions.php
- inc/style.php
- inc/theme-setup.php

-------------------------------------------------------------------------

= 5.0.2 - 2020-08-30 =
- Improved: Steam brand color.
- Improved: Added custom CSS classes to the logo images.
- Fix; Bug in the TGMPA plugin that prevents installing the bundled plugins on some servers.
- Fix: Media Overlay option bug in the Posts List widget.
- Fix: Site header issue if the visitor uses an Adblocker.
- Fix: Responsive videos in the homepage and archives.
- Fix: Incorrect logo size bug.
- Improvements and minor bug fixes.

# Files Updated
- functions.php
- style.css
- assets/css/base.css
- assets/css/base.min.css
- assets/css/style.css
- assets/css/style.min.css
- assets/js/scripts.js
- assets/js/scripts.min.js
- assets/js/single.js
- assets/js/single.min.js
- framework/admin/theme-options/web-notifications.php
- framework/functions/formatting.php
- framework/functions/general-functions.php
- framework/vendor/tgm/class-tgm-plugin-activation.php
- framework/widgets/posts.php
- framework/widgets/social-counters.php
- inc/style.php
- inc/updates.php

-------------------------------------------------------------------------

= 5.0.1 - 2020-08-30 =
- Improvements and minor bug fixes.

# Files Updated
- functions.php
- style.css
- assets/css/editor-style.css
- framework/admin/framework-admin.php
- framework/admin/theme-options/header.php
- framework/functions/post-functions.php

-------------------------------------------------------------------------

= 5.0.0 - 2020-08-29 =
- New: Auto Load next posts.
- New: Front-end Day/Night mode switcher.
- New: Options to set custom logo for the Day/Night mode.
- New: Night mode option for the theme options page.
- New: Rounded Blocks Layout.
- New: 3 Ajax Pagination styles for the Posts List Widget.
- New: Next and Prev Ajax pagination for blocks
- New: Column layout for Post meta in the single post page.
- New: Sticky floating share buttons.
- New: Option to display the share buttons on the right side.
- New: Pill share buttons style.
- New: Skew share buttons style.
- New: circle share buttons style.
- New: Facebook Messenger share button.
- New: Line Share Button.
- New: Option to display the share buttons on the standard pages.
- New: Inline related posts.
- New: Option to disable the inline related posts on mobiles.
- New: Custom Background option for blocks
- New: Option to show the total followers number in the social counters widget.
- New: Snapchat widget.
- New: Font Awesome 5.0.
- New: Option to disable the Font Awesome if you don't use it.
- New: New TikTok Widget.
- New: New TikTok section above the footer.
- New: New Instagram plugin.
- New: One-click to connect your Instagram account, no need to enter a manual API key.
- New: Now you can show up to 18 images in the Instagram widget.
- New: 2 styles for the Instagram feed section above the footer.
- New: Modern colorful design for the Instagram widget.
- New: Now the visitors can show the weather in their location.
- New: Option to set an image as a background for the Weather widget.
- New: Option to set a gradient background for the Weather widget.
- New: Option to stretch the header.
- New: Header Layout #4.
- New: Option to set the logo full-width.
- New: Option to set a gradient background for the Header.
- New: Option to set a gradient background for the Main Navigation.
- New: Option to use icons instead of text in the tabs widget titles.
- New: Auto download and assign Youtube/Vimeo video's thumbnail as a featured image.
- New: White Label, Option to change the Theme Name in the dashboard.
- New: White Label - Option to change the Theme Logo on the theme options page.
- New: White Label - Option to change the theme icon in the dashboard.
- New: White Label - Option to disable Help Links the theme options page.
- New: White Label - Option to disable Knowledge Base Beacon in the theme options page.
- New: Option to allow the advanced settings in the post edit page for the admins only.
- New: 3 block-head styles.
- New: Compact comments section.
- New: Option to set a custom title for the compact comments section.
- New: Option to set a default featured image for posts.
- New: Left position image style for the posts list widget.
- New: Option to set custom posts order for categories.
- New: Account name in the BuddyPress profile page.
- New: Option to display the Last Updated date in the single post page
- New: Option to disable all ads on a specific post or page.
- New: Option to set stretched sections.
- New: PHP 7.4 support.
- New: Option to set the width and Height of images Ads to reduce CLS.
- New: If there is no primary category use the Yoast SEO primary category if the post has one.
- New: Steam Social account option.
- New: TikTok Social account option.
- New: Option to add text beside the login icon in the header.
- New: Option to change the color of the footer widget head.
- New: Add media button is now available in the custom content block editor.
- New: Option to set typography of the comments section.
- New: Primary site color option in the buttons shortcode.
- New: Option to change the main color of the widget titles.
- New: style for the tags below the post.
- New: bbPress The Options page supports the custom panel support.
- New: Option to disable featured image on pages.
- New: Below comments ad space.
- New: Option to set a global custom width for the sidebar column.
- New: Option to set the featured image crop position of the sliders.
- New: Option to set the featured image crop position for a specific slider in the page builder.
- New: Option to show the Breadcrumbs on the pages built by the page builder.
- New: Option to set custom text for the read-more button in blocks.
- New: Option to set custom text for the read-more button in archive pages.
- New: Option to disable the read-more button on the archive pages.
- New: Option to disable post excerpts on the archive pages.
- New: Typography option to set letter spacing.
- New: Typography options for the 404-page texts.
- New: Option to set a title for sliders in the page builder.
- New: Option to display the sidebar above the content on mobiles.
- New: Option to set the location of the search form in the mobile menu.
- New: Option to set the location of the mobile menu, right or left.
- New: Option to set the logo width size on mobile.
- New: Modern mobile search form design
- New: Mobile Header Design.
- New: Option to set gradient background for the mobile header
- New: 7 new icon options for the mobile menu icon.
- New: Option to show the cart icon in the mobile header.
- New: Option to show the search icon in the mobile header.
- New: Option to show the BuddyPress notifications icon in the mobile header.
- New: Option to show light/dark switcher icon in the mobile header.
- New: Option to show mobile header icons in a separate row.
- New: Live search on mobile.
- New: AMP option to hide the post's author name.
- New: AMP option to hide the post's date.
- New: AMP menu.
- New: Option to set the Amp menu position.
- New: Option to set the AMP menu skin, Dark/Light.
- New: Option to display an image on the 404-page.
- New: Option to enable/disable the search form in the 404-page.
- New: Option to enable/disable the menu the 404-page.
- New: Option in the Translation panel to translate numbers.
- New: Search form in the search results page.
- New: Option to inline the custom CSS code of the page builder/
- New: Small custom font icon contains all the icons used by the theme, now you can disable the Font Awesome completely if you want.
- New: Smaller JS files.
- New: Support native Images LazyLoad.
- New: easy-to-use icons selector modal without pagination.
- New: Co-authors plus plugin, Show the custom uploaded avatar of the guests users.
- New: Option to et custom padding for sections in the page builder.
- New: GitHub, SoundCloud, Medium, Twitch, Snapchat, Steam and TikTok for authors.
- Updated: Youtube icon.
- Updated: Facebook icon.
- Updated: Facebook brand colors.
- Improved: Go to top button.
- Improved: Weather Widget Style.
- Improved: Sub-menus styles and spacing.
- Improved: Spaces between the grids in the Grid sliders.
- Improved: Admin page loading time.
- Improved: Search form style in the Header Layout #3.
- Improved: iOS input fields.
- Improved: Organized typography section.
- Improved: Social Counter styles.
- Improved: Reading time method.
- Improved: Lightbox WebP support.
- Improved: Update bundled plugins notice only appear when the plugin is active.
- Improved: Load slick slider JS file when it needed only.
- Improved: Buttons styles
- Improved: Post show more button on mobile.
- Improved: 404-page style
- Improved: Ajax requests speed.
- Improved: Live search design.
- Improved: Login popup design.
- Fixed: duplicated // in the header search.
- Fixed: Video playlist issue when the video title contains emojis.
- Fixed: SSL import demos issue
- Fixed: Title issue in the slider if it contains HTML tags.
- Fixed: Sticky logo bug.
- And Improvements and minor bug fixes.


# Files Updated
- Replace the whole theme folder as a lot of files have been modified in this update.

-------------------------------------------------------------------------

= 4.7.2 - 2020-07-26 =
- Fixed: Section sidebar option bug in the page builder.
- Fixed: Blocks layout option bug in the page builder.
- Some improvements to prepare theme options for the next coming big update Jannah 5.0.
- Improvements and minor bug fixes.

# Files Updated
- functions.php
- style.css
- framework/admin/assets/tie.js
- framework/admin/framework-admin.php
- framework/admin/page-builder.php
- framework/admin/classes/class-tielabs-demo-importer.php

-------------------------------------------------------------------------

= 4.7.1 - 2020-07-18 =
- UPDATED: WordPress 5.5.0 Compatibility.

# Files Updated
- functions.php
- style.css
- framework/admin/assets/style.css
- framework/admin/assets/tie.js
- framework/admin/classes/class-tielabs-settings.php

-------------------------------------------------------------------------

= 4.7.0 - 2020-07-06 =
- Improvements and minor bug fixes.

# Files Updated
- functions.php
- style.css
- framework/admin/framework-admin.php
- framework/admin/classes/class-tielabs-notices.php
- framework/classes/class-tielabs-mega-menu.php

-------------------------------------------------------------------------

= 4.6.6 - 2020-05-10 =
- Improved: Author bio alignment on mobiles in the full-width pages.
- Fix: WooCommerce pagination styling in the dark skin mode.
- Fix: Images Lightbox while JetPack Photon module is active.
- Fix: Co-Authors Plus missing guests bio.
- Improvements and minor bug fixes.

# Files Updated
- functions.php
- rtl.css
- style.css
- assets/css/single.min.css
- assets/css/style.css
- assets/css/style.min.css
- assets/css/plugins/woocommerce.css
- assets/css/plugins/woocommerce.min.css
- assets/ilightbox/lightbox.js
- framework/admin/assets/style.css
- framework/admin/classes/class-tielabs-notices.php
- framework/admin/classes/class-tielabs-posts-switcher.php
- framework/admin/classes/class-tielabs-settings-category.php
- framework/admin/classes/class-tielabs-settings.php
- framework/admin/classes/class-tielabs-verification.php
- framework/functions/general-functions.php
- framework/vendor/tgm/class-tgm-plugin-activation.php
- framework/widgets/categories.php

-------------------------------------------------------------------------

= 4.6.5 - 2020-04-25 =
- Improvements and minor bug fixes.

# Files Updated
- functions.php
- rtl.css
- style.css
- assets/css/style.css
- assets/css/style.min.css
- framework/admin/classes/class-tielabs-system-status.php

-------------------------------------------------------------------------

= 4.6.4 - 2020-04-16 =
- NEW: Compatibility with WPCOVID-19 plugin https://wpcovid19.com/.
- Tweak: Reduced the updating time rate for the weather widget.
- Fix: Structure data option bug in the category settings page.
- And Improvements and minor bug fixes.

# Files Updated
- functions.php
- style.css
- framework/admin/classes/class-tielabs-notices.php
- framework/admin/classes/class-tielabs-settings-category.php
- framework/classes/class-tielabs-weather.php
- assets/css/widgets.css
- assets/css/widgets.min.css

-------------------------------------------------------------------------

= 4.6.3 - 2020-04-05 =
- NEW: Compatibility with the latest version of WordPress.
- NEW: Compatibility with the latest version of WooCommerce.
- Tweak: Nofollow added to all social network links.
- Tweak: Warning notice if the YouTube API key has not been set.
- Fix: Sticky video position.
- Fix: Masonry pages styling issue.
- Fix: WooCommerce pagination styling issue.
- Fix: Content Slideshow RTL bug.
- Fix: PHP Warning notices.
- Fix: Scrolling block issue with jQuery 3.0.
- Fix: Demo import bug.
- Fix: Typography settings bug when the Jannah optimization plugin is active.
- And Improvements and minor bug fixes.

# Files Updated
- functions.php
- style.css
- assets/css/single.css
- assets/css/single.min.css
- assets/css/style.css
- assets/css/style.min.css
- assets/css/widgets.css
- assets/css/widgets.min.css
- assets/css/plugins/woocommerce.css
- assets/css/plugins/woocommerce.min.css
- assets/js/desktop.min.js
- assets/js/scripts.js
- assets/js/scripts.min.js
- assets/js/shortcodes.js
- assets/js/single.js
- assets/js/single.min.js
- assets/js/sliders.js
- assets/js/sliders.min.js
- assets/js/viewport-scripts.js
- framework/admin/classes/class-tielabs-demo-importer.php
- framework/admin/classes/class-tielabs-system-status.php
- framework/admin/theme-options/header.php
- framework/classes/class-tielabs-filters.php
- framework/classes/class-tielabs-opengraph.php
- framework/classes/class-tielabs-styles.php
- framework/functions/breadcrumbs.php
- framework/functions/general-functions.php
- framework/functions/media-functions.php
- framework/functions/page-templates.php
- framework/functions/post-actions.php
- inc/style.php
- templates/breaking-news.php
- templates/login.php
- templates/videos-list.php
- templates/header/nav-main.php

-------------------------------------------------------------------------

= 4.6.2 - 2020-01-23 =
- Improvements and minor bug fixes.

# Files Updated
- functions.php
- sidebar.php
- style.css
- framework/admin/assets/style.css

-------------------------------------------------------------------------

= 4.6.1 - 2020-01-22 =
- Tweak: Improved built-in knowledge base search panel.
- Tweak: Allow the child theme to override all functions located in the functions/post-functions.php file.
- Tweak: Hide Instagram image likes number if it is not available.
- Tweak: New Dev. filter to manage Header, footer, body, and Ad codes.
- Fix: Issue in the Lightbox prevents it from opening videos.
- Fix: Single quote issue in the new category footer description section.
- Fix: Tweet link bug in the Twitter widget.
- Fix: Category Label in the Masonry pages.
- Improvements and minor bug fixes.

# Files Updated
- functions.php
- style.css
- assets/css/base.css
- assets/css/base.min.css
- assets/css/plugins/buddypress.min.css
- assets/ilightbox/lightbox.js
- assets/js/parallax.js
- assets/js/scripts.js
- assets/js/single.js
- framework/admin/framework-admin.php
- framework/admin/theme-options.php
- framework/admin/assets/style.css
- framework/admin/classes/class-tielabs-settings.php
- framework/classes/class-tielabs-instagram.php
- framework/functions/post-functions.php
- framework/plugins/class-tielabs-buddypress.php
- framework/widgets/twitter.php
- templates/category-footer.php

-------------------------------------------------------------------------

= 4.6.0 - 2020-01-14 =
- New: Option to show custom content at the end of each category page.
- Tweak: Theme options page style improvements.
- Tweak: In-post images alignment improvements on mobiles.
- Tweak: Gallery Block Editor margins improvements.
- Tweak: BuddyPress Registration page styling improvements.
- Tweak: Improvements in handling errors in the theme verification process.
- Fix: WooCommerce tabs height bug on mobiles.
- Fix: WooCommerce lazy load bug for images in the product slider.
- Fix: SVG logo height bug on Firefox.
- Improvements and minor bug fixes.

# Files Updated
- category.php
- functions.php
- style.css
- assets/css/base.css
- assets/css/base.min.css
- assets/css/single.css
- assets/css/single.min.css
- assets/css/style.css
- assets/css/style.min.css
- assets/css/plugins/buddypress.css
- assets/css/plugins/buddypress.min.css
- assets/css/plugins/woocommerce.css
- assets/css/plugins/woocommerce.min.css
- assets/js/single.min.js
- framework/admin/framework-admin.php
- framework/admin/assets/style.css
- framework/admin/classes/class-tielabs-settings-category.php
- framework/admin/classes/class-tielabs-settings.php
- framework/admin/theme-options/header.php
- framework/plugins/class-tielabs-woocommerce.php
- framework/plugins/amp-templates/style.php
- inc/theme-setup.php
- templates/category-footer.php

-------------------------------------------------------------------------

= 4.5.2 - 2019-12-22 =
- Tweak: Improved links color in the comments section.
- Fix: JS error in the single.js file.
- Improvements and minor bug fixes.

# Files Updated
- functions.php
- style.css
- assets/css/single.css
- assets/css/single.min.css
- assets/css/sass/components/_post-content.scss
- assets/js/single.js
- framework/functions/post-actions.php
- framework/widgets/weather.php
- inc/style.php

-------------------------------------------------------------------------

= 4.5.1 - 2019-12-18 =
- Tweak: Improved how the child themes override the parent theme files.
- Tweak: Update the WPML XML file with more theme options fields.
- Tweak: Improved SEO heading order.
- Fix: Issue with the standalone Gutenberg Plugin.
- Tweak: Load the AMP-AD script file in the AMP pages.
- Tweak: Compatibility with the latest version of the Taqyeem plugin.
- Improvements and minor bug fixes.

# Files Updated
- functions.php
- style.css
- wpml-config.xml
- assets/css/base.css
- assets/css/base.min.css
- assets/css/helpers.css
- assets/css/helpers.min.css
- assets/css/single.css
- assets/css/single.min.css
- assets/css/style.css
- assets/css/style.min.css
- assets/css/widgets.css
- assets/css/widgets.min.css
- assets/css/plugins/shortcodes.css
- assets/css/plugins/shortcodes.min.css
- assets/js/desktop.min.js
- assets/js/scripts.js
- assets/js/scripts.min.js
- assets/js/shortcodes.js
- assets/js/single.js
- assets/js/single.min.js
- assets/js/sliders.js
- assets/js/sliders.min.js
- framework/framework-load.php
- framework/admin/framework-admin.php
- framework/admin/page-builder.php
- framework/admin/theme-options.php
- framework/admin/assets/style.css
- framework/admin/assets/tie.js
- framework/admin/classes/class-tielabs-builder-widgets.php
- framework/admin/classes/class-tielabs-demo-importer.php
- framework/admin/classes/class-tielabs-required-plugins.php
- framework/admin/classes/class-tielabs-settings.php
- framework/plugins/class-tielabs-amp.php
- framework/plugins/class-tielabs-taqyeem.php
- inc/style.php
- inc/theme-setup.php
- inc/widgets.php
- templates/login.php
- templates/popup.php
- templates/single-post/fly-box.php

-------------------------------------------------------------------------

= 4.5.0 - 2019-12-05 =
- New: All main posts titles in the landing pages and archives converted to the h2 tag to improve SEO.
- New: Custom CSS section for the AMP pages.
- New: Now you can translate AMP texts from the theme translations panel.
- Fix: Related posts styling issue in the one-column layout.
- Fix: RTL Import demos page styling issue.
- Tweak: Improved Youzer Plugin elements styling.
- Improvements and minor bug fixes.

# Files Updated
- functions.php
- style.css
- assets/css/helpers.css
- assets/css/helpers.min.css
- assets/css/single.css
- assets/css/single.min.css
- assets/css/plugins/buddypress.css
- assets/css/plugins/buddypress.min.css
- framework/blocks.php
- framework/admin/framework-admin.php
- framework/admin/assets/style.css
- framework/admin/theme-options/amp.php
- framework/classes/class-tielabs-filters.php
- framework/classes/class-tielabs-mega-menu.php
- framework/functions/post-functions.php
- framework/plugins/class-tielabs-amp.php
- framework/plugins/amp-templates/style.php
- inc/deprecated.php
- inc/style.php
- inc/updates.php
- templates/loops/loop-authors-widget.php
- templates/loops/loop-big-thumb.php
- templates/loops/loop-content.php
- templates/loops/loop-default.php
- templates/loops/loop-full-thumb.php
- templates/loops/loop-large-above.php
- templates/loops/loop-large-first.php
- templates/loops/loop-masonry.php
- templates/loops/loop-mini.php
- templates/loops/loop-overlay-title.php
- templates/loops/loop-overlay.php
- templates/loops/loop-scroll-2.php
- templates/loops/loop-scroll.php
- templates/loops/loop-timeline.php

-------------------------------------------------------------------------

= 4.4.1 - 2019-12-01 =
- Fix: Sidebar position bug when JetPack comments module is active.
- Tweak: Improved import/export method for the theme settings.
- Improvements and minor bug fixes.

# Files Updated
- functions.php
- style.css
- framework/admin/theme-options.php
- framework/classes/class-tielabs-postviews.php
- framework/functions/formatting.php

-------------------------------------------------------------------------

= 4.4.0 - 2019-11-28 =
- Fix: RTL Mobile menu icon position bug.
- Fix: Story Index position bug.
- Fix: Megamenu conflict with some plugin.
- Fix: Comments section Styling conflict with the JetPack plugin.
- Fix: Add a fallback for the video module to load the video even if the API is down.
- Fix: Newsletter widget saving icon option bug.
- Fix: Don't duplicate option bug with widgets.
- Tweak: Display the Total price including the tax in the mini cart in the header.
- Tweak: Improved WooCommerce product description and short description areas styling.
- Tweak: Improved the position of the go to top button on mobiles.
- Tweak: Improved input fields to match the new WordPress 5.3.0 backend styling.
- Tweak: New Developers' filters and actions.
- Improvements and minor bug fixes.

# Files Updated
- functions.php
- rtl.css
- style.css
- assets/css/base.css
- assets/css/base.min.css
- assets/css/single.css
- assets/css/single.min.css
- assets/css/style.css
- assets/css/style.min.css
- assets/css/ie/ie-lt-10.css
- assets/css/plugins/woocommerce.css
- assets/css/plugins/woocommerce.min.css
- assets/js/viewport-scripts.js
- framework/blocks.php
- framework/admin/framework-admin.php
- framework/admin/page-builder.php
- framework/admin/theme-options.php
- framework/admin/assets/style.css
- framework/admin/classes/class-tielabs-demo-importer.php
- framework/admin/classes/class-tielabs-notices.php
- framework/admin/classes/class-tielabs-settings-post.php
- framework/admin/classes/class-tielabs-theme-updater.php
- framework/admin/classes/class-tielabs-verification.php
- framework/classes/class-tielabs-foxpush.php
- framework/classes/class-tielabs-helper.php
- framework/classes/class-tielabs-mega-menu.php
- framework/classes/class-tielabs-postviews.php
- framework/functions/formatting.php
- framework/functions/general-functions.php
- framework/functions/media-functions.php
- framework/functions/post-actions.php
- framework/functions/post-functions.php
- framework/plugins/class-tielabs-extensions.php
- framework/plugins/class-tielabs-jetpack.php
- framework/plugins/class-tielabs-woocommerce.php
- framework/widgets/newsletter.php
- framework/widgets/slider.php
- framework/widgets/text-html.php
- inc/style.php
- templates/footer.php
- templates/header/posts-layout.php
- templates/single-post/related.php
- templates/single-post/share.php

-------------------------------------------------------------------------

= 4.3.1 - 2019-11-06 =
- Improvements and minor bug fixes.

# Files Updated
- functions.php
- style.css
- framework/admin/framework-admin.php
- framework/admin/classes/class-tielabs-notices.php
- framework/admin/classes/class-tielabs-theme-updater.php
- framework/admin/theme-options/e3lan.php
- framework/classes/class-tielabs-advertisment.php
- framework/functions/general-functions.php

-------------------------------------------------------------------------

= 4.3.0 - 2019-11-04 =
- New: 2 Ad spaces on the category page.
- Fix: Live Search option in the Compact search.
- Fix: Conflict with some plugins that us an old version of the Mobile_Detect library.
- Fix: Bug in Sharing posts that contain special characters in the title.
- And Improvements and minor bug fixes.

# Files Updated
- category.php
- functions.php
- style.css
- assets/css/helpers.css
- assets/css/helpers.min.css
- assets/css/style.css
- assets/css/style.min.css
- framework/admin/framework-admin.php
- framework/admin/classes/class-tielabs-notices.php
- framework/admin/classes/class-tielabs-theme-updater.php
- framework/admin/classes/class-tielabs-verification.php
- framework/admin/theme-options/e3lan.php
- framework/classes/class-tielabs-advertisment.php
- framework/functions/general-functions.php
- framework/vendor/Mobile_Detect/devices.php
- framework/vendor/Mobile_Detect/Mobile_Detect.php
- templates/single-post/share.php

-------------------------------------------------------------------------

= 4.2.0 - 2019-10-26 =
- Fix: Videos width bug in the posts.
- Fix: Header, footer, and sidebar are hiding when a minification plugin is active.
- Fix: Lightbox galleries bug in the homepage builder.
- Fix: Instagram lazy load bug on mobiles.
- Fix: Content Index bug.
- Fix: Responsive videos bug.
- Fix: Post title and image bug in the AMP structure data.
- Fix: Logo bug in the AMP structure data.
- Fix: Appearance of the current post in the AMP related posts.
- Fix: Posts Lists widgets bug in the single post page.
- Fix: JetPack post views bug.
- Fix: Exclude current post option in the Posts List widget.
- Fix: Bug in Sharing posts that contain # in the title on Twitter.
- Tweak: Improved the comments styling when the avatar is disabled.
- Tweak: Responsive videos now support youtube-nocookie.com.
- Improvements and minor bug fixes.

# Files Updated
- functions.php
- rtl.css
- style.css
- assets/css/base.css
- assets/css/base.min.css
- assets/css/print.css
- assets/css/single.css
- assets/css/single.min.css
- assets/css/plugins/shortcodes.css
- assets/css/plugins/shortcodes.min.css
- assets/ilightbox/lightbox.js
- assets/js/scripts.js
- assets/js/scripts.min.js
- assets/js/viewport-scripts.js
- framework/admin/page-builder.php
- framework/admin/classes/class-tielabs-settings-post.php
- framework/admin/classes/class-tielabs-settings.php
- framework/classes/class-tielabs-filters.php
- framework/functions/general-functions.php
- framework/plugins/class-tielabs-amp.php
- framework/plugins/class-tielabs-jetpack.php
- framework/plugins/class-tielabs-taqyeem.php
- framework/widgets/posts.php
- inc/deprecated.php
- inc/theme-setup.php
- templates/videos-list.php
- templates/single-post/share.php

-------------------------------------------------------------------------

= 4.1.1 - 2019-10-21 =
- Fix: Sticky Mobile share button bug.
- Fix: Missing the Import Demos page bug.
- Fix: Taqyeem Products structure data bug.

# Files Updated
- functions.php
- style.css
- framework/admin/classes/class-tielabs-demo-importer.php
- framework/plugins/class-tielabs-taqyeem.php
- templates/single-post/share.php

-------------------------------------------------------------------------

= 4.1.0 - 2019-10-20 =
- New: Two Ad spaces in the AMP pages.
- Fix: Alignment of the Codes sections in the single post edit page.
- Fix: Lightbox close button bug.
- Fix: WooCommerce import products page bug.
- Fix: AMP related Posts.
- Fix: Saving Widgets settings bug.
- Improvements and minor bug fixes.

# Files Updated
- functions.php
- style.css
- assets/ilightbox/lightbox.js
- assets/js/scripts.js
- assets/js/scripts.min.js
- assets/js/single.js
- assets/js/single.min.js
- framework/admin/framework-admin.php
- framework/admin/assets/style.css
- framework/admin/classes/class-tielabs-demo-importer.php
- framework/admin/theme-options/amp.php
- framework/plugins/class-tielabs-amp.php
- framework/plugins/amp-templates/footer.php
- framework/plugins/amp-templates/header-bar.php
- framework/plugins/amp-templates/style.php
- framework/classes/class-tielabs-ajax.php
- framework/classes/class-tielabs-mega-menu.php
- framework/plugins/class-tielabs-amp.php
- framework/widgets/about.php
- framework/widgets/ads.php
- framework/widgets/author.php
- framework/widgets/comments-avatar.php
- framework/widgets/facebook.php
- framework/widgets/flickr.php
- framework/widgets/instagram.php
- framework/widgets/login.php
- framework/widgets/newsletter.php
- framework/widgets/posts.php
- framework/widgets/slider.php
- framework/widgets/social-counters.php
- framework/widgets/social.php
- framework/widgets/soundcloud.php
- framework/widgets/tabs.php
- framework/widgets/text-html.php
- framework/widgets/twitter.php
- framework/widgets/weather.php
- inc/updates.php
- templates/single-post/fly-box.php
- templates/single-post/related.php
- templates/single-post/share.php

-------------------------------------------------------------------------

= 4.0.4 - 2019-10-15 =
- Fix: Select and Share feature bug.
- Fix: Ajax pagination bug in the archives pages.
- Fix: PHP notice in the page builder blocks.
- Fix: Missing file URL error while theme auto-update.
- Fix: Page builder scrolling bug on iPad.
- Fix: Megamenu caching issue.
- Fix: Appearance of the category label in the Ajax loaded posts in the category pages.
- Fix: Add Notice above the Video Player if the YouTube API returns errors.
- Fix: Author description translation bug with the WPML plugin.
- Fix: Posts List widget saving options bug.
- Fix: Post title sharing issue if it contains single or double Quotation marks.
- Improvements and minor bug fixes.

# Files Updated
- functions.php
- style.css
- assets/css/single.css
- assets/css/single.min.css
- assets/css/style.css
- assets/css/style.min.css
- assets/js/viewport-scripts.js
- framework/blocks.php
- framework/admin/framework-admin.php
- framework/admin/assets/tie.js
- framework/admin/classes/class-tielabs-theme-updater.php
- framework/classes/class-tielabs-ajax.php
- framework/classes/class-tielabs-videos-list.php
- framework/functions/general-functions.php
- framework/vendor/one-click-demo-import/assets/js/main.js
- framework/widgets/categories.php
- framework/widgets/posts.php
- framework/widgets/slider.php
- framework/widgets/soundcloud.php
- templates/archives.php
- templates/breaking-news.php
- templates/featured.php
- templates/videos-list.php
- templates/loops/loop-large-above.php
- templates/single-post/share.php

-------------------------------------------------------------------------

= 4.0.3 - 2019-09-29 =
- Fix: Send to friend share button bug on Chrome.
- Fix: Instagram Counter issue, you need to update the Arqam Lite Plugin and set the Access token in the plugin's settings page.
- Improvements and minor bug fixes.

# Files Updated
- functions.php
- style.css
- assets/css/style.css
- assets/css/style.min.css
- assets/css/widgets.css
- assets/css/widgets.min.css
- assets/js/single.js
- assets/js/single.min.js
- framework/admin/classes/class-tielabs-settings.php
- templates/featured.php

-------------------------------------------------------------------------

= 4.0.2 - 2019-09-26 =
- Fix: Weather appearance bug in the Header.
- Fix: Missing the Author name WPML translation.
- Fix: Polylang XML file bug.
- Fix: Horizontal Tabs shortcode bug.
- And Improvements and minor bug fixes.

# Files Updated
- functions.php
- rtl.css
- style.css
- wpml-config.xml
- assets/js/scripts.js
- assets/js/scripts.min.js
- framework/admin/framework-admin.php
- framework/admin/theme-options/api-keys.php
- framework/admin/theme-options/typography.php
- framework/functions/general-functions.php
- framework/functions/post-functions.php
- inc/style.php
- templates/header/components.php

-------------------------------------------------------------------------

= 4.0.1 - 2019-09-24 =
- Fix: BuddyPress Grid Layout bug.
- Fix: Subtitle bug in the AMP posts.
- Fix: Ajax requests bug.
- Fix: WhatsApp share button bug.
- Fix: .alignwide and .alignfull margin for images in Gutenberg.
- Fix: Custom Styles and typography on the homepage.
- And Improvements and minor bug fixes.

# Files Updated
- functions.php
- style.css
- assets/css/single.css
- assets/css/single.min.css
- assets/css/plugins/shortcodes.css
- assets/css/plugins/shortcodes.min.css
- framework/classes/class-tielabs-styles.php
- framework/plugins/class-tielabs-buddypress.php
- framework/plugins/amp-templates/sub-title.php
- inc/updates.php
- templates/single-post/share.php

-------------------------------------------------------------------------

= 4.0.0 - 2019-09-24 =
- Performance: Introduced the new Jannah Speed Optimization plugin (beta).
- Performance: Improved Ajax Requests performance.
- Performance: Improved Theme performance.
- Performance: Reduced the number of nodes per page.
- Performance: Improved Ajax Search library performance.
- Performance: Reduced the size and the number of scripts files loaded on mobiles.
- Performance: Google Fonts disabled by default on the low-speed connections.
- Performance: Used smaller Instagram images size.
- Performance: Used by default the min JS and CSS files.
- Performance: Reduced number of images generated by the theme to 3 images only.
- Performance: Font Display Swap to all Google Fonts.
- Performance: Font Display Swap to the custom uploaded fonts.
- Performance: New option to inline critical path CSS.
- Performance: New option to Load JS files deferred
- Performance: New option to Optimize CSS delivery.
- Performance: New option to Remove query strings from static resources.
- Performance: New options to remove unneeded Js files.
- Performance: New option to Disable Emoji and Smilies.
- Performance: New option to Minify HTML.
- Performance: New option to cache some static parts like widgets, main menu and breaking news to reduce MySQL queries.
- New: Co-Authors Plus plugin support.
- New: Notice in the dashboard if the child theme uses outdated files.
- New: Masonry layout for the BuddyPress grid pages.
- New: New tab for the API Keys in the theme options page.
- New: Get related posts by categories in the AMP Related Posts section.
- New: Lazy load support for the Instagram images.
- New: Lazy load support for the images in the posts.
- New: Lazy load support for the Ad images.
- New: Option to set a lazy load logo.
- New: Option to customize the title, message, and color of the Adblock popup.
- New: Meta description tag if there is no SEO plugin installed with an option to enable/disable.
- New: Option to upload an image for the custom social icons.
- New: Option to list posts in alphabetic order (A to Z listing) for the blocks.
- New: Option to list posts in alphabetic order (A to Z listing) for the related posts.
- New: Option to list posts in alphabetic order (A to Z listing) for the read next slider.
- New: Option to list posts in alphabetic order (A to Z listing) for the posts widget.
- New: Option to list posts in alphabetic order (A to Z listing) for the slider widget.
- New: Alt text option for the logo.
- New: Option to set an icon for the section title.
- New: Option to set an icon for the block title.
- New: Option to hide all read more buttons on mobiles.
- New: 3 new ad spaces in the category pages.
- New: Don't duplicate posts option in masonry page.
- New: Don't duplicate posts option in categories.
- New: Skype share button.
- New: 100+ Google fonts.
- New: AMP now uses the theme and custom posts colors.
- New: Post subtitle in the AMP pages.
- New: Modern user login drop-down menu in the navigation menus.
- New: Option to place code after opening the <body> tag.
- New: Parallax sections now supports self-hosted mp4 files.
- New: WPML XML file.
- Tweak: Accessibility improvements.
- Tweak: h1 internal page builder pages title.
- Tweak: The All link in the mega menu.
- Tweak: Responsive videos code.
- Tweak: Updated all Javascript libraries to the latest versions.
- Tweak: Updated Youtube icon.
- Tweak: Updated Arqam Lite plugin to fix the Instagram counter bug.
- Tweak: Updated Taqyeem plugin to support the new Reviews structure data changes.
- Tweak: Improved Header shadow.
- Tweak: Login form modules and the compatibility with the captcha and social login plugins.
- Tweak: Self-hosted videos/audios player style on mobile.
- Tweak: Improved menus styling and spaces.
- Tweak: Improved Cart menu.
- Tweak: All theme notices now appear in the theme options page only.
- Tweak: Hide all non-theme notices from the theme options page.
- Tweak: Improved slide sidebar and mobile menu close icon position.
- Tweak: Category description content styling.
- Tweak: Improved lists style on RTL AMP.
- Tweak: Removed the Google+ Widget
- Tweak: Removed the StumbleUpon share button.
- Tweak: Removed Google+ share button.
- Tweak: Use a background image as a fallback for the parallax video background.
- Fix: Customizer loading issue on some servers.
- Fix: Theme settings saving issue on some servers.
- Fix: block title using HTML tags.
- Fix: JetPack post views bug.
- Fix: Header image ad alignment.
- Fix: Instagram Lightbox images bug.
- Fix: Page builder appearance issue with Gutenberg.
- Fix: Story index bug prevents clicking on the content behind it.
- Fix: LinkedIn share button bug.
- Fix: WhatsApp and telegram share buttons.
- Fix: Disable meta options in the archives pages.
- Fix: Install plugins page conflict with some plugins.
- Fix: Buddypress icons bug.
- Fix: Instagram Widget bug.
- Fix: WooCommerce slider block bug.
- Fix: Buddypress messages page styling bug.
- Fix: LiveSearch results positions bug
- Dev: Added the TIE_LOGGING class, to allow for easier debugging by developers.
- Dev: A lot of new filters and hooks to allow the developers to customize the theme easily.
- Dev: New function wp_body_open added.
- And Improvements and minor bug fixes.


# Files Updated
- Replace the whole theme folder as a lot of files have been modified in this update.

-------------------------------------------------------------------------

= 3.2.0 - 2019-01-20 =
- New: Option to disable the Read Next slider on posts individually.
- New: Small Featured image layout in the archives.
- Fix: WordPress Gallery block Lightbox bug.
- Fix: Standard Post icon bug.
- Fix: Post Custom CSS code option saving bug.
- Fix: Masonry and Authors page templates options with the Gutenberg bug.
- Fix: Custom content block editor buttons.
- Fix: Post Views conflict with the Wp Fastest Cache plugin.
- Improved: appearance of the Taqyeem review box in the WooCommerce pages.
- Improved: paragraphs and lists styles in the products pages.
- Improved: Added noopener to all the _blank links.
- Improved: Exclude current post option now works with the JetPack plugin.
- And Improvements and minor bug fixes

# Files Updated
- category.php
- functions.php
- style.css
- assets/css/style.css
- assets/css/style.min.css
- assets/css/taqyeem.css
- assets/css/taqyeem.min.css
- assets/css/woocommerce.css
- assets/css/woocommerce.min.css
- assets/js/scripts.js
- assets/js/scripts.min.js
- assets/js/sliders.js
- assets/js/sliders.min.js
- framework/blocks.php
- framework/admin/framework-admin.php
- framework/admin/page-builder.php
- framework/admin/assets/style.css
- framework/admin/assets/tie.js
- framework/admin/assets/images/archives/blog-small.png
- framework/admin/classes/class-tielabs-admin-helper.php
- framework/admin/classes/class-tielabs-settings-post.php
- framework/admin/classes/class-tielabs-settings.php
- framework/admin/theme-options/archives.php
- framework/admin/theme-options/styling.php
- framework/classes/class-tielabs-advertisment.php
- framework/classes/class-tielabs-filters.php
- framework/classes/class-tielabs-helper.php
- framework/classes/class-tielabs-instagram.php
- framework/classes/class-tielabs-postviews.php
- framework/functions/general-functions.php
- framework/functions/media-functions.php
- framework/functions/post-actions.php
- framework/functions/post-functions.php
- framework/plugins/class-tielabs-buddypress.php
- framework/plugins/class-tielabs-jetpack.php
- framework/plugins/crypto.php
- framework/plugins/amp-templates/style.php
- framework/widgets/ads.php
- framework/widgets/flickr.php
- framework/widgets/instagram.php
- framework/widgets/slider.php
- framework/widgets/social-counters.php
- framework/widgets/twitter.php
- framework/widgets/weather.php
- framework/widgets/youtube.php
- inc/help-links.php
- templates/archives.php
- templates/featured.php
- templates/footer-instagram.php
- templates/footer.php
- templates/popup.php
- templates/loops/loop-overlay.php
- templates/single-post/read-next.php
- templates/single-post/share.php

-------------------------------------------------------------------------

= 3.1.1 - 2018-12-11 =
- Fix: Post order option in Block 8.
- Fix: PHP Warning notices with some plugins.
- Fix: Non Formatting HTML in the post editor for the Editor role.
- And Improvements and minor bug fixes

# Files Updated
- functions.php
- style.css
- assets/js/scripts.js
- assets/js/scripts.min.js
- framework/blocks.php
- framework/admin/framework-admin.php
- framework/admin/page-builder.php
- framework/admin/classes/class-tielabs-settings-post.php
- framework/classes/class-tielabs-filters.php
- framework/plugins/amp-templates/style.php

-------------------------------------------------------------------------

= 3.1.0 - 2018-12-07 =
- IMPROVED: Hide the comments meta icon if the comments are closed on the post and the post doesn't have any comments.
- IMPROVED: AMP child theme Templates override.
- IMPROVED: Add support for the pages in the live search if it is not excluded in the search settings in the theme options.
- IMPROVED: BuddyPress elements styling.
- Fix: WooCommerce Featured Images lazy load bug.
- Fix: TieLabs Builder button bug with Gutenberg.
- Fix: Subtitle section bug with Gutenberg.
- Fix: Read Next title RTL position bug.
- Fix: Story Index custom color bug.
- Fix: Conflict with the front-end builders such as Thrive Leads and Elementor
- And Improvements and minor bug fixes.

# Files Updated
- functions.php
- rtl.css
- style.css
- assets/css/buddypress.css
- assets/css/buddypress.min.css
- assets/css/style.css
- assets/css/style.min.css
- assets/js/scripts.js
- assets/js/scripts.min.js
- framework/blocks.php
- framework/admin/framework-admin.php
- framework/admin/page-builder.php
- framework/admin/assets/style.css
- framework/admin/classes/class-tielabs-admin-helper.php
- framework/admin/classes/class-tielabs-settings-category.php
- framework/admin/classes/class-tielabs-settings-post.php
- framework/classes/class-tielabs-ajax.php
- framework/classes/class-tielabs-filters.php
- framework/classes/class-tielabs-instagram.php
- framework/functions/post-actions.php
- framework/functions/post-functions.php
- framework/plugins/class-tielabs-amp.php
- framework/plugins/class-tielabs-buddypress.php
- framework/widgets/posts.php
- inc/style.php
- templates/featured.php
- templates/loops/loop-big-thumb.php
- templates/loops/loop-large-above.php
- templates/loops/loop-masonry.php
- templates/loops/loop-overlay.php
- templates/single-post/head.php
- templates/single-post/related.php

-------------------------------------------------------------------------

= 3.0.4 - 2018-10-25 =
- Improvements and minor bug fixes.

# Files Updated
- functions.php
- rtl.css
- style.css
- assets/css/style.css
- assets/css/style.min.css
- framework/classes/class-tielabs-advertisment.php

-------------------------------------------------------------------------

= 3.0.3 - 2018-10-24 =
- Improvements and minor bug fixes.

# Files Updated
- functions.php
- rtl.css
- style.css
- assets/css/buddypress.css
- assets/css/buddypress.min.css
- assets/css/ie-10.css
- assets/css/ie-lte-11.css
- assets/css/style.css
- assets/css/style.min.css
- assets/js/scripts.js
- assets/js/scripts.min.js
- framework/admin/classes/class-tielabs-settings-post.php
- framework/classes/class-tielabs-advertisment.php

-------------------------------------------------------------------------

= 3.0.2 - 2018-10-05 =
- Improvements and minor bug fixes.

# Files Updated
- functions.php
- rtl.css
- style.css
- assets/css/ie-lt-10.css
- assets/css/style.css
- assets/css/style.min.css
- framework/functions/post-actions.php

-------------------------------------------------------------------------

= 3.0.1 - 2018-09-29 =
- Fix: Slider 18 RTL bug.
- Fix: Post sub title html codes bug.
- Fix: Classic Editor text bug.
- Fix: Push Notifications send section bug.
- And Improvements and minor bug fixes.

# Files Updated
- functions.php
- style.css
- assets/css/buddypress.css
- assets/css/buddypress.min.css
- assets/css/style.css
- assets/css/style.min.css
- assets/js/sliders.js
- assets/js/sliders.min.js
- framework/admin/classes/class-tielabs-settings-post.php
- framework/classes/class-tielabs-foxpush.php

-------------------------------------------------------------------------

= 3.0.0 - 2018-09-27 =
- NEW: Fitness Demo https://jannah.tielabs.com/fitness/
- NEW: Salad Dash Demo https://jannah.tielabs.com/salad-dash/
- NEW: Compatibility with the latest version of the BuddyPress plugin.
- NEW: Compatibility with the latest version of the AMP plugin.
- NEW: Compatibility with the new Gutenberg builder to create posts.
- New: 2 Sliders Layouts.
- New: Options to upload your custom fonts directly from the options page.
- New: Block Layout - Classic blog layout with a small thumbnail.
- NEW: Option to disable the Built-in Mega Menus feature to use a third party plugin.
- NEW: Post Views increment support in AMP Pages.
- NEW: Now you can set custom options for the BuddyPress Registration page.
- NEW: Article inline Ads.
- NEW: Current Weather state description is now available for translation in the theme panel.
- NEW: Option to set a custom URL for the logos.
- NEW: Options to set custom Sidebar settings for posts inside a certain category.
- NEW: Use primary-color in any custom CSS section and it will be replaced with the current primary color.
- NEW: Read Next section in the single post page with 2 styles.
- NEW: Related Posts section with featured images in the AMP pages.
- NEW: Option to set the number of posts in the related posts section.
- NEW: Option to Show/Hide the Categories and Tags in the AMP pages.
- NEW: Option to Show/Hide the Log in icon in the mobile menu.
- NEW: Option to Show/Hide the Cart icon in the mobile menu.
- NEW: Option to Show/Hide the BuddyPress notification icon in the mobile menu.
- NEW: Option to disable specific tabs in the tabs widget.
- NEW: Option to set a custom mobile menu.
- NEW: Option to set a scheme type for the posts in a specific category.
- NEW: Option to disable the black gradient overlay from the sliders.
- NEW: Smart Sticky Header is now supported on mobile.
- NEW: Typography Options for the posts title in the theme's widgets.
- NEW: Typography Options for the page builder sections titles.
- NEW: Turkish, Portuguese (Brazil) French and Spanish translations have been added.
- NEW: Option to set a custom background color for the mobile header.
- IMPROVED: Twitter Share Button.
- IMPROVED: Mega menu filters now display only the first level of child categories.
- IMPROVED: Text Transformation settings for some elements.
- IMPROVED: The primary category label is now hidden by default in the category pages.
- UPDATED: ARQAM Lite plugin.
- UPDATED: Taqyeem plugin.
- UPDATED: Jannah Extensions plugin.
- Fix: Facebook counter bug.
- Fix: Tabs Shortcode Styling bug.
- Fix: Excluding posts from the sliders bug.
- Fix: Custom Footer Padding option bug.
- Fix: Post views issue with the custom post types.
- Fix: Warning message when updating the main menu.
- Fix: Bug prevents the Post views option to appear in the post edit page.
- Fix: Duplication entry bug in Taqyeem.
- And Improvements and minor bug fixes.

# Files Updated
- buddypress.php
- functions.php
- page.php
- prepros.cfg
- rtl.css
- screenshot.jpg
- sidebar-slide.php
- sidebar.php
- style.css
- assets/css/bbpress.css
- assets/css/bbpress.min.css
- assets/css/buddypress.css
- assets/css/buddypress.min.css
- assets/css/crypto.css
- assets/css/ie-10.css
- assets/css/ie-lt-10.css
- assets/css/ie-lte-11.css
- assets/css/mptt.css
- assets/css/style.css
- assets/css/style.min.css
- assets/css/woocommerce.css
- assets/css/woocommerce.min.css
- assets/js/scripts.js
- assets/js/scripts.min.js
- assets/js/sliders.js
- assets/js/sliders.min.js
- buddypress/activity/index.php
- buddypress/activity/single/home.php
- buddypress/blogs/index.php
- buddypress/groups/index.php
- buddypress/members/index.php
- framework/blocks.php
- framework/admin/framework-admin.php
- framework/admin/page-builder.php
- framework/admin/theme-options.php
- framework/admin/assets/style.css
- framework/admin/assets/tie.js
- framework/admin/assets/images/blocks/block-classic-small.png
- framework/admin/assets/images/blocks/block-slider_17.png
- framework/admin/assets/images/blocks/block-slider_50.png
- framework/admin/classes/class-tielabs-admin-helper.php
- framework/admin/classes/class-tielabs-demo-importer.php
- framework/admin/classes/class-tielabs-menu-limit-detector.php
- framework/admin/classes/class-tielabs-notices.php
- framework/admin/classes/class-tielabs-posts-switcher.php
- framework/admin/classes/class-tielabs-required-plugins.php
- framework/admin/classes/class-tielabs-settings-category.php
- framework/admin/classes/class-tielabs-settings-post.php
- framework/admin/classes/class-tielabs-settings.php
- framework/admin/classes/class-tielabs-system-status.php
- framework/admin/classes/class-tielabs-theme-updater.php
- framework/admin/classes/class-tielabs-verification.php
- framework/admin/classes/class-tielabs-welcome-page.php
- framework/admin/theme-options/advanced.php
- framework/admin/theme-options/amp.php
- framework/admin/theme-options/background.php
- framework/admin/theme-options/bbpress.php
- framework/admin/theme-options/e3lan.php
- framework/admin/theme-options/footer.php
- framework/admin/theme-options/header.php
- framework/admin/theme-options/logo.php
- framework/admin/theme-options/mobile.php
- framework/admin/theme-options/posts.php
- framework/admin/theme-options/sidebars.php
- framework/admin/theme-options/styling.php
- framework/admin/theme-options/translations.php
- framework/admin/theme-options/typography.php
- framework/classes/class-tielabs-advertisment.php
- framework/classes/class-tielabs-ajax.php
- framework/classes/class-tielabs-filters.php
- framework/classes/class-tielabs-instagram.php
- framework/classes/class-tielabs-mega-menu.php
- framework/classes/class-tielabs-pagination.php
- framework/classes/class-tielabs-postviews.php
- framework/classes/class-tielabs-speeder.php
- framework/classes/class-tielabs-styles.php
- framework/classes/class-tielabs-weather.php
- framework/functions/formatting.php
- framework/functions/general-functions.php
- framework/functions/media-functions.php
- framework/functions/post-actions.php
- framework/functions/post-functions.php
- framework/plugins/class-tielabs-amp.php
- framework/plugins/class-tielabs-buddypress.php
- framework/plugins/class-tielabs-woocommerce.php
- framework/plugins/amp-templates/footer.php
- framework/plugins/amp-templates/style.php
- framework/vendor/one-click-demo-import/one-click-demo-import.php
- framework/vendor/tgm/class-tgm-plugin-activation.php
- framework/widgets/posts.php
- framework/widgets/slider.php
- framework/widgets/tabs.php
- framework/widgets/twitter.php
- inc/help-links.php
- inc/style.php
- inc/theme-setup.php
- inc/updates.php
- templates/category-slider.php
- templates/featured.php
- templates/footer.php
- templates/header/components.php
- templates/header/nav-main.php
- templates/header/nav-top.php
- templates/loops/loop-default.php
- templates/single-post/featured.php
- templates/single-post/fly-box.php
- templates/single-post/read-next.php
- templates/single-post/related.php
- templates/single-post/share.php

-------------------------------------------------------------------------

= 2.1.4 - 2018-04-23 =

- Fix: Translation Panel bug.

# Files Updated
- functions.php
- style.css
- framework/admin/category-options.php
- framework/admin/framework-admin.php
- framework/admin/framework-options.php
- framework/classes/class-tielabs-filters.php
- framework/classes/class-tielabs-instagram.php
- framework/functions/general-functions.php

-------------------------------------------------------------------------

= 2.1.3 - 2018-04-22 =

- IMPROVED: Responsive Adsense Ads.
- IMPROVED: Shortcodes notice message.
- IMPROVED: Custom borders color.
- IMPROVED: Slide Sidebar and mobile menu close button behavior.
- IMPROVED: WooCommerce My Account menu styles.
- Fix: blockquote Custom typography bug.
- Fix: WooCommerce XML file importing bug.
- Fix: Translation issue with the Ajax requests.
- Fix: Mobile menu issue when the built-in cache option is enabled.
- Fix: Website Icon in the About Author box.
- Fix: Custom Footer Padding Bottom bug.
- Fix: IE11 styling bugs.
- And Improvements and minor bug fixes.

# Files Updated
- functions.php
- rtl.css
- style.css
- assets/css/buddypress.css
- assets/css/buddypress.min.css
- assets/css/ie-10.css
- assets/css/ie-lt-10.css
- assets/css/ie-lte-11.css
- assets/css/style.css
- assets/css/style.min.css
- assets/css/taqyeem.css
- assets/css/taqyeem.min.css
- assets/css/woocommerce.css
- assets/css/woocommerce.min.css
- assets/js/scripts.js
- assets/js/scripts.min.js
- assets/js/sliders.js
- assets/js/sliders.min.js
- framework/blocks.php
- framework/admin/posts-options.php
- framework/admin/classes/class-tielabs-demo-importer.php
- framework/classes/class-tielabs-advertisment.php
- framework/classes/class-tielabs-filters.php
- framework/classes/class-tielabs-helper.php
- framework/classes/class-tielabs-instagram.php
- framework/classes/class-tielabs-styles.php
- framework/functions/general-functions.php
- framework/functions/post-functions.php
- inc/deprecated.php
- inc/style.php

-------------------------------------------------------------------------

= 2.1.2 - 2018-04-12 =

- Fix: Category Layout Styling bug.
- Fix: Mobile menu issue when the built-in cache option is enabled.
- And Improvements and minor bug fixes.

# Files Updated
- functions.php
- prepros.cfg
- rtl.css
- style.css
- assets/css/ie-lte-11.css
- assets/css/style.css
- assets/css/style.min.css
- assets/css/woocommerce.css
- assets/css/woocommerce.min.css
- assets/js/scripts.js
- assets/js/scripts.min.js
- assets/js/sliders.js
- assets/js/sliders.min.js
- assets/js/dev/breakingNews.js
- assets/js/dev/tiesticky.dev.js
- framework/admin/classes/class-tielabs-posts-switcher.php
- framework/classes/class-tielabs-instagram.php
- framework/classes/class-tielabs-speeder.php
- framework/classes/class-tielabs-styles.php
- framework/functions/general-functions.php
- framework/plugins/class-tielabs-extensions.php
- framework/vendor/one-click-demo-import/assets/js/main.js
- inc/style.php
- inc/updates.php
- templates/archives.php

-------------------------------------------------------------------------

= 2.1.1 - 2018-04-11 =

- IMPROVED: The order of the social icons in the header.
- IMPROVED: WooCommerce Cart scroller style.
- Fix: Post views issue with cache plugins.
- Fix: Visual styles in the post editor.
- Fix: Responsive Adsense Ads height issue.
- Fix: Custom theme color css code bug.
- Fix: Two Columns blocks margin issue.
- And Improvements and minor bug fixes.

# Files Updated
- functions.php
- header.php
- rtl.css
- assets/css/bbpress.css
- assets/css/bbpress.min.css
- assets/css/buddypress.css
- assets/css/buddypress.min.css
- assets/css/ie-lt-10.css
- assets/css/style.css
- assets/css/style.min.css
- assets/css/woocommerce.css
- assets/css/woocommerce.min.css
- assets/js/scripts.js
- framework/blocks.php
- framework/framework-load.php
- framework/admin/framework-notices.php
- framework/admin/assets/style.css
- framework/admin/theme-options/footer.php
- framework/classes/class-tielabs-filters.php
- framework/classes/class-tielabs-helper.php
- framework/classes/class-tielabs-instagram.php
- framework/classes/class-tielabs-postviews.php
- framework/classes/class-tielabs-styles.php
- framework/classes/class-tielabs-weather.php
- framework/functions/general-functions.php
- framework/plugins/class-tielabs-extensions.php
- framework/plugins/crypto.php
- framework/widgets/instagram.php
- framework/widgets/social-counters.php
- framework/widgets/twitter.php
- inc/theme-setup.php
- templates/footer-instagram.php
- templates/header/components.php
- templates/header/nav-top.php

-------------------------------------------------------------------------

= 2.1.0 - 2018-04-08 =

- NEW: A lot of new filters and hooks to allow the developers to customize the theme easily.
- NEW: Notice in the automatic theme update page if the theme folder doesn't match the original name.
- NEW: Add support for shortcode in the head and footer codes sections.
- NEW: Now you can set a featured image for the pages built with the page builder and it will be used in the OG meta.
- NEW: Lazy Load for the Post Slider images.
- IMPROVED: Facebook share in the "Select & Share" feature.
- IMPROVED: WooCommerce featured images sizes.
- IMPROVED: WooCommerce columns bug.
- IMPROVED: Removed all Ads shortcodes from the AMP pages.
- IMPROVED: Responsive Adsense Ads.
- IMPROVED: Built Translation system.
- Fix: WooCommerce buttons styling bug.
- Fix: LazyLoad bug for images in the post content.
- Fix: Password protected issue for pages built with the page builder.
- Fix: Sticky header bug on mobiles.
- Fix: Sidebar positions in the demos data.
- Fix: Global meta options bug.
- Fix: issue with Polylang plugin.
- Fix: Do not duplicate posts bug with the Videos playlist block.
- Fix: Below Header Ads margins on mobiles.
- Fix: Related posts above footer in WooCommerce pages.
- Fix: Non-clickable search close button.
- Fix: LightBox Arrows directions RTL.
- Fix: Post Layout 8 Issue on the WooCommerce page.
- Fix: Above Header margins bug.
- Fix: Block 16 and 12 title section bg color with Clean Blocks Layout.
- Fix: Sticky Video position bug.
- Fix: Numeric Pagination bug.
- Fix: Social Icons widget padding in the responsive.
- Fix: WooCommerce Payment Method text color issue.
- Fix: Vivaldi browser issues.
- Fix: Multiple AMP Carousel error bug.
- Fix: Compatibility issue with the Jackmail Newsletter plugin.
- And Improvements and minor bug fixes.

# Files Updated
- Replace the whole theme folder as a lot of files have been modified in this update.

-------------------------------------------------------------------------

= 2.0.4 - 2018-02-21 =

- Improvements and minor bug fixes.

# Files Updated
- functions.php
- rtl.css
- style.css
- js/scripts.js
- js/scripts.min.js
- css/style.css
- css/style.min.css

-------------------------------------------------------------------------

= 2.0.3 - 2018-02-16 =

- IMPROVED: Lists in the widgets style.
- IMPROVED: Support for the archive global meta options in the search results page.
- Fix: Responsive Adsense ads in the header bug.
- Fix: Post layout 8 cover image bug.
- Fix: Global Meta options conflict in the single post page.
- Fix: Boxes titles issues on Safari and mobile devices.
- Fix: RTL posts meta alignment bug on Safari and mobile devices.
- Fix: Divider shortcode styling issue.
- And Improvements and minor bug fixes.

# Files Updated
- functions.php
- rtl.css
- sidebar-slide.php
- style.css
- css/bbpress.css
- css/bbpress.min.css
- css/buddypress.css
- css/buddypress.min.css
- css/ie-10.css
- css/ie-lt-10.css
- css/style.css
- css/style.min.css
- css/woocommerce.css
- css/woocommerce.min.css
- framework/functions/setup.php
- framework/functions/theme-functions.php
- framework/parts/post-fly-box.php
- framework/plugin-integrations/woocommerce.php

-------------------------------------------------------------------------

= 2.0.2 - 2018-02-09 =

- UPDATED: WooCommerce 3.3.0 Compatibility.
- Fix: Sticky Video styles related bugs.
- Fix: DEMO Importer Sidebar position bug.
- Fix: Prevent setting page revisions as a front page.
- Fix: Post Views and Reviews order bug in the posts widget.
- Fix: Minify CSS module bug.
- IMPROVED: Demo Importer.
- IMPROVED: Responsive Full-width footer tags widget.
- IMPROVED: Syntax highlighter for the CSS section in the category edit page.
- IMPROVED: Below Header Ad spaces.
- IMPROVED: The default color of the go-to top button.
- IMPROVED: Weather module codes.
- And Improvements and minor bug fixes.

# Files Updated
- comments.php
- functions.php
- rtl.css
- single.php
- style.css
- css/buddypress.css
- css/buddypress.min.css
- css/crypto.css
- css/crypto.min.css
- css/ie-lt-10.css
- css/style.css
- css/style.min.css
- framework/blocks.php
- framework/widgets.php
- framework/admin/category-options.php
- framework/admin/framework-admin.php
- framework/admin/menu-limit-detector.php
- framework/admin/page-builder.php
- framework/admin/posts-options.php
- framework/admin/theme-options.php
- framework/admin/assets/tie.js
- framework/admin/category-options/layout.php
- framework/admin/theme-options/styling.php
- framework/functions/formating.php
- framework/functions/setup.php
- framework/functions/styling.php
- framework/functions/theme-functions.php
- framework/headers/header-content.php
- framework/headers/header-posts-layout.php
- framework/headers/header.php
- framework/parts/featured.php
- framework/parts/post-fly-box.php
- framework/parts/post-related.php
- framework/plugin-integrations/woocommerce.php
- framework/widgets/posts.php
- framework/widgets/weather.php
- languages/jannah.pot

-------------------------------------------------------------------------

= 2.0.1 - 2018-02-03 =

- IMPROVED: WooCommerce 3.3.0 compatibility.
- IMPROVED: BuddyPress Edit profile Fields styles.
- IMPROVED: Hide Send Web Notifications campaign box if the Web notification option is disabled.
- IMPROVED: Responsive Adsense ads.
- IMPROVED: Sticky Videos.
- Updated: Parisian language files.
- Fix: Smart Sticky menu bug.
- Fix: Audio Player hover styling issue.
- Fix: Post layout #3 and #7 title background issue fix.
- Fix: Trending text translation bug.
- Fix: Custom Social links with non-latin languages.
- Fix: JetPack 30/7 days posts.
- Fix: Weather in header custom color bug.
- Fix: Post print issues.
- Fix: Custom color for the rating bar in the blocks.
- And Improvements and minor bug fixes.

# Files Updated
- functions.php
- rtl.css
- style.css
- css/buddypress.css
- css/buddypress.min.css
- css/style.css
- css/style.min.css
- framework/admin/framework-admin.php
- framework/admin/assets/tie.js
- framework/admin/theme-options/web-notifications.php
- framework/functions/backward-compatibility.php
- framework/functions/foxpush.php
- framework/functions/open-graph.php
- framework/functions/pagenavi.php
- framework/functions/setup.php
- framework/functions/social.php
- framework/functions/styling.php
- framework/functions/theme-functions.php
- framework/functions/translations.php
- framework/headers/header.php
- framework/parts/post-featured.php
- framework/widgets/facebook.php
- framework/widgets/slider.php
- js/scripts.js
- js/scripts.min.js
- languages/ar.mo
- languages/ar.po
- languages/fa_IR.mo
- languages/fa_IR.po
- languages/jannah.pot
- woocommerce/global/wrapper-end.php
- woocommerce/global/wrapper-start.php

-------------------------------------------------------------------------

= 2.0.0 - 2018-01-28 =

- NEW: Block Layout #16.
- NEW: 3 new Posts layouts for archives pages.
- NEW: 7 Block Head styles.
- New: Modern Sliders Loading method.
- New: Send Web Notifications for your posts directly from the post edit page.
- NEW: Options to show the Weather in the Main and Secondary Nav.
- NEW: Unboxed layout for the blocks and widgets.
- NEW: Option to sticky the Header on mobile.
- NEW: Centered Logo Mobile Header layout.
- NEW: Mobile Menu Layout.
- NEW: Option to enable/disable the animations of the weather icons.
- NEW: Post Views Settings tab on the theme options page.
- NEW: Option to enable/disable the colored post views.
- NEW: Option to set a starter views number for the new posts.
- NEW: Option to set the minimum views number for each color.
- NEW: Option to change post views to a fake number.
- NEW: Option in the Posts List widget to exclude current post in the single post page.
- NEW: Option to change the font settings for the archive title.
- NEW: Option to show the posts' Modified date instead of the Published date.
- NEW: Option to upload a default/fallback Open Graph image.
- NEW: Option to show the review rating in the sliders blocks.
- NEW: Option to show the review rating in the single category page sliders.
- NEW: Option to set the position of the related posts below comments.
- NEW: Option to set the position of the related posts above the footer.
- NEW: Send to friend option in the select and share feature.
- NEW: Option to set a title for the Ad spaces.
- NEW: Option to set a Link to the title of the Ad spaces.
- NEW: Ad space above the header.
- NEW: Ad space above the post content in the single post page.
- NEW: Ad space below the post content in the single post page.
- New: Option to hide the Above Header Ad on mobile.
- NEW: Options in the Post edit page to hide the above and below content ads.
- NEW: Options in the Post edit page to set a custom Ad for the above and below content spaces.
- New: 2 Ad Spaces to show Ads between the posts in the archives pages.
- NEW: Add support for the dark skin mode to the WordPress embedded posts cards.
- NEW: Primary Category label appears now in the blocks.
- NEW: Option to set specific posts as Trending posts.
- NEW: Option to set the speed of the sliders.
- NEW: Add the custom logo to the AMP structure data.
- NEW: Option to disable the custom theme's styles in the editor.
- NEW: Now you can set custom menu, logo, color, background, etc for the all shop pages.
- NEW: option to Use the BuddyPress Member Profile link instead of the default author page link in the post meta, author box, and the login sections.
- NEW: Add the comments list section titles to the translation panel.
- NEW: Option to exclude specific posts by IDs in the Blocks and the sliders.
- New: Option in the Posts List Widget to show the Related posts by categories.
- New: Option in the Posts List Widget to show the Related posts by tags.
- New: Option in the Posts List Widget to show the Related posts by author.
- New: Layout in the Posts List widget to show the Authors Posts.
- New: Share buttons layout.
- New: Save time and access any theme options' tab directly from the admin bar.
- New: Support Facebook Instant Articles.
- New: Syntax Highlighting for the codes fields.
- New: Option to set Custom background and arrow color for the Back To Top button.
- New: Option for the single category to show the Videos Playlist in Dark Skin.
- NEW: Sticky Videos options in the single post page.
- NEW: Options to disable the Author, Comments and View meta info in the archives.
- NEW: Options to disable the Author, Comments and View meta info in the page builder blocks.
- NEW: Vimeo videos now matches the color of the custom block/page/theme color.
- NEW: Google Fonts Support for the Gurmukhi, Arabic, Bengali, Devanagari, Gujarati, Hebrew, Kannada, Malayalam, Myanmar, Oriya, Sinhala, Tamil, Telugu, and Thai languages.
- NEW: Support for the shortcodes in the Footer text areas.
- IMPROVED: Removed padding shortcode from the AMP pages..
- IMPROVED: Numbers for non-latin languages.
- IMPROVED: RTL support for the Child Theme.
- IMPROVED: Sticky menu behavior.
- IMPROVED: Columns shortcodes contents in the post excerpt.
- IMPROVED: Columns shortcodes with the estimated reading time.
- IMPROVED: WooCommerce tabs layout.
- IMPROVED: Mobile menu Icon style.
- IMPROVED: Responsive Adsense Ads.
- IMPROVED: Posts Switcher notice appearance.
- IMPROVED: Post titles font size in the responsive version.
- IMPROVED: Content Index Panel on the small screens.
- IMPROVED: Slider 1 styling.
- IMPROVED: WooCommerce Archives pages title spacing.
- IMPROVED: The Breaking News Block style.
- IMPROVED: Add Comment form style.
- IMPROVED: Removed the latest current item from the Breadcrumb schema data.
- IMPROVED: Select and share feature.
- IMPROVED: WooCommerce functions.
- IMPROVED: Logos SVG support.
- Updated: Modernizr.js to the latest version.
- Updated: Jarallax.js to the latest version.
- Updated: iLightBox.js to the latest version.
- Fix: Facebook widget page URL issue.
- Fix: Sticky logo image on the mobiles.
- Fix: a LazyLoad issue in the WordPress Embedded links.
- Fix: Block titles issue on Safari.
- Fix: Borders color option bug.
- Fix: Importing demo images conflict with the Images Optimizing plugins.
- Fix: Loading Woocommerce orders pages on some servers.
- Fix: Dark Block AJAX filter custom color hover bug.
- Fix: Styling Conflicts with some plugins like Youtube Embed Plus Pro.
- Fix: Sections video background bugs on mobiles.
- Fix: Fullwidth post slider width in responsive bug.
- Fix: Audio Player height issue of the full width posts.
- Fix: Author's avatar link bug in the single author page.
- Fix: Color and icons Pickers issues with WP 4.9.
- Fix: Setting custom gradient background for posts and pages bug.
- Fix: Site title custom typography bug.
- Fix: Issue in the Masonry page template when there is no cats set.
- Fix: Images position masonry lazy load.
- Fix: Weather forecast days due to OpenWeatherMap API Change.
- Fix: Posts counter issue with more than 1000 posts.
- Fix: Custom Site width issue.
- Fix: Tabs Shortcode width issue.
- Fix: Title Length option bug for the Posts in the Fly Check Also Box.
- Fix: Exclude post types from search option bug.
- Fix: Type to search bug on Firefox.
- Fix: Logo size on IE browsers.
- Fix: Audio Player styling bug.
- Fix: Importing demos page styling bug in the RTL version.
- Fix: JetPack comments section styling bug.
- And Improvements and minor bug fixes.

# Files Updated
- Replace the whole theme folder as a lot of files have been modified in this update.

-------------------------------------------------------------------------

= 1.3.1 - 2017-10-10 =

- ADDED: Farsi language files.
- IMPROVED: Delete the Widget cache changing the widget settings.
- Fix: Sticky logo image on the mobiles.
- And Improvements and minor bug fixes.

# Files Updated
- functions.php
- rtl.css
- style.css
- css/style.css
- css/style.min.css
- css/woocommerce.css
- css/woocommerce.min.css
- framework/admin/auto-update.php
- framework/admin/framework-notices.php
- framework/admin/framework-system-status.php
- framework/admin/framework-validation.php
- framework/admin/page-builder-widgets.php
- framework/admin/switcher.php
- framework/admin/theme-options.php
- framework/admin/post-options/sidebar.php
- framework/admin/theme-options/amp.php
- framework/admin/theme-options/footer.php
- framework/footers/footer-instagram.php
- framework/functions/mega-menus.php
- framework/functions/mobile.php
- framework/functions/speeder.php
- framework/functions/theme-functions.php
- framework/parts/not-found.php
- framework/widgets/google.php
- framework/widgets/instagram.php
- framework/widgets/weather.php
- js/scripts.js
- languages/ar.mo
- languages/ar.po
- languages/fa_IR.mo
- languages/fa_IR.po
- languages/jannah.pot

-------------------------------------------------------------------------

= 1.3.0 - 2017-10-03 =

- New: Automatic theme update feature.
- New: Edit Post link in the end of the post.
- New: Button to revoke the theme validation in order to use the license on another domain.
- New: Animated appearance for the Sticky Logo.
- IMPROVED: Lazy Load for in-post images.
- IMPROVED: Mega menu functions.
- IMPROVED: Mega menu and footer custom colors.
- IMPROVED: Sections custom margins in the responsive version.
- IMPROVED: Default Logo margins in the Header Layout 3.
- Fix: Gif User's avatar size bug.
- Fix: Some HTML markup validation issues.
- Fix: Display the post's author name and avatars in some posts layouts bug.
- Fix: WooCommerce product's gallery height bug.
- And Improvements and minor bug fixes.

# Files Updated
- functions.php
- single.php
- style.css
- rtl.css
- css/style.css
- css/style.min.css
- css/woocommerce.css
- css/woocommerce.min.css
- framework/admin/auto-update.php
- framework/admin/demo-importer.php
- framework/admin/framework-admin.php
- framework/admin/framework-help-links.php
- framework/admin/framework-notices.php
- framework/admin/framework-options.php
- framework/admin/framework-validation.php
- framework/admin/framework-welcome.php
- framework/admin/menu-limit-detector.php
- framework/admin/switcher.php
- framework/admin/theme-options.php
- framework/admin/update-notifier.php
- framework/admin/updates.php
- framework/admin/assets/style.css
- framework/admin/assets/tie.js
- framework/admin/post-options/e3lan.php
- framework/admin/theme-options/advanced.php
- framework/admin/theme-options/header.php
- framework/admin/theme-options/styling.php
- framework/admin/theme-options/web-notifications.php
- framework/functions/formating.php
- framework/functions/images.php
- framework/functions/mega-menus.php
- framework/functions/setup.php
- framework/functions/theme-functions.php
- framework/headers/header-components.php
- framework/headers/header-main-nav.php
- framework/headers/header-posts-layout.php
- framework/parts/featured.php
- js/scripts.js
- js/scripts.min.js

-------------------------------------------------------------------------

= 1.2.2 - 2017-09-17 =

- Fix: Post views PHP notice after publishing the post.
- Fix: IE styling issues.
- Fix: LazyLoad issues on Chrome v61.
- And Improvements and minor bug fixes.

# Files Updated
- functions.php
- rtl.css
- style.css
- css/ie-lte-11.css
- css/style.css
- css/style.min.css
- framework/admin/framework-admin.php
- framework/admin/framework-validation.php
- framework/functions/post-views.php
- framework/functions/setup.php
- framework/functions/theme-functions.php
- framework/plugin-integrations/jetpack.php
- js/scripts.js
- js/scripts.min.js
- js/sliders.js
- js/sliders.min.js

-------------------------------------------------------------------------

= 1.2.1 - 2017-09-15 =

- IMPROVED: Compatibility with the Fast Velocity Minify plugin.
- IMPROVED: Compatibility with the JS & CSS Script Optimizer plugin.
- IMPROVED: Demo importer logs.
- Fix: LazyLoad images in the Custom slider bug.
- Fix: Bug when Loading the internal documentation pages in the dashboard on the SSL websites.
- Fix: Javascript issue with IE and Safari on Windows.
- Fix: 505 error when importing the demos while the xmlreader module is disabled.
- And Improvements and minor bug fixes.

# Files Updated
- functions.php
- style.css
- css/style.css
- css/style.min.css
- framework/admin/framework-system-status.php
- framework/admin/inc/one-click-demo-import/one-click-demo-import.php
- framework/admin/inc/one-click-demo-import/vendor/humanmade/WordPress-Importer/class-wxr-importer.php
- framework/functions/theme-functions.php
- js/sliders.js
- js/sliders.min.js

-------------------------------------------------------------------------

= 1.2.0 - 2017-09-11 =

- New: 3 typography options to customize the posts titles in the sliders.
- NEW: LazyLoad for the Sliders images.
- NEW: LazyLoad for Videos images in the Videos Playlist.
- NEW: Show/Hide the Automatic Featured Image for the standard posts now works on the AMP pages.
- NEW: Added More texts to translations panel.
- NEW: Integration with the Jetpack Stats module.
- NEW: Integration with the WordPress Social Login plugin, now you can use the login social buttons with the theme's Login sections.
- NEW: Integration with the Google Captcha (reCAPTCHA) plugin, now you can add the reCAPTCHA to the theme's Login sections.
- NEW: Responsive in-post tables with an option to disable it in case you want to use a custom plugin.
- NEW: AMP WhatsApp share button.
- NEW: AMP Tumblr share button.
- NEW: AMP SMS share button.
- NEW: The new Audio, Video and Image widgets are now available in the TieLabs Page builder Widgets section.
- NEW: Export and Import module for the theme options.
- NEW: Logo in the Sticky menu for all headers layouts.
- NEW: Option to set a custom sticky logo image.
- NEW: Option to set the number of posts in the Check Also block.
- NEW: 7 Arabic fonts added from FontFace.me.
- NEW: Most viewed Posts for 7 days option in the posts widget.
- NEW: Most viewed Posts for 30 days option in the posts widget.
- NEW: Option to show/hide the MENU text for the mobile menu icon.
- NEW: Help links in the theme options.
- NEW: Add supports for the Private posts in the blocks.
- NEW: Now the theme highlights the primary category only in the main nav.
- NEW: Recommended Plugins section in the Install plugins page.
- NEW: Notice message when a new update is available for a bundled plugin.
- NEW: Add shortcode support for the featured image's caption.
- NEW: Page builder Blocks now shows the child categories posts.
- NEW: Now terms descriptions supports Shortcodes.
- IMPROVED: Changed the Schema default type value of the posts to Article.
- IMPROVED: Tabs Widget backend sortable function.
- IMPROVED: BuddyPress form styles.
- IMPROVED: WooCommerce styles.
- IMPROVED: The LazyLoad image feature of the Avatars.
- IMPROVED: BreadCrumbs support for the CPT.
- IMPROVED: Post views system excludes the bots visits.
- Fix: Vertical Tabs Shortcode bug.
- Fix: AMP validation issue in the RTL version.
- Fix: Delete/Close buttons in the Page Builder Widgets.
- Fix: Mega Menu bug on tablets.
- Fix: Breadcrumbs bug if the post doesn't have a category.
- Fix: Javascript conflict with the plugins use the jQuery UI tooltip.
- Fix: Masonry page categories issue.
- Fix: Breaking News Typography option bug.
- Fix: A conflict with the wp user avatars plugin.
- Fix: A conflict with the Author Image plugin.
- Fix: LazyLoad Avatars in the WooCommerce reviews bug.
- Fix: Hide thumbs option for the Block #1.
- Fix: External videos position in the default WordPress Videos widget in the RTL.
- Fix: Social icons alignment in the RTL About Widget.
- Fix: Web safe fonts bug.
- Fix: Block title custom color bug.
- And Improvements and minor bug fixes.

# Files Updated
- functions.php
- rtl.css
- style.css
- css/buddypress.css
- css/buddypress.min.css
- css/style.css
- css/style.min.css
- css/woocommerce.css
- css/woocommerce.min.css
- framework/widgets.php
- framework/admin/demo-importer.php
- framework/admin/framework-admin.php
- framework/admin/framework-help-links.php
- framework/admin/framework-notices.php
- framework/admin/framework-options.php
- framework/admin/framework-welcome.php
- framework/admin/page-builder-widgets.php
- framework/admin/posts-options.php
- framework/admin/required-plugins.php
- framework/admin/theme-options.php
- framework/admin/updates.php
- framework/admin/assets/page-widgets.js
- framework/admin/assets/style.css
- framework/admin/assets/tie.js
- framework/admin/category-options/menu.php
- framework/admin/inc/tgm/class-tgm-plugin-activation.php
- framework/admin/post-options/menu.php
- framework/admin/theme-options/advanced.php
- framework/admin/theme-options/amp.php
- framework/admin/theme-options/archives.php
- framework/admin/theme-options/background.php
- framework/admin/theme-options/backup.php
- framework/admin/theme-options/bbpress.php
- framework/admin/theme-options/e3lan.php
- framework/admin/theme-options/footer.php
- framework/admin/theme-options/general.php
- framework/admin/theme-options/header.php
- framework/admin/theme-options/layout.php
- framework/admin/theme-options/lightbox.php
- framework/admin/theme-options/logo.php
- framework/admin/theme-options/mobile.php
- framework/admin/theme-options/posts.php
- framework/admin/theme-options/share.php
- framework/admin/theme-options/sidebars.php
- framework/admin/theme-options/social.php
- framework/admin/theme-options/styling.php
- framework/admin/theme-options/translations.php
- framework/admin/theme-options/typography.php
- framework/admin/theme-options/web-notifications.php
- framework/admin/theme-options/woocommerce.php
- framework/functions/breadcrumbs.php
- framework/functions/foxpush.php
- framework/functions/images.php
- framework/functions/mega-menus.php
- framework/functions/mobile.php
- framework/functions/page-templates.php
- framework/functions/pagenavi.php
- framework/functions/post-views.php
- framework/functions/setup.php
- framework/functions/social.php
- framework/functions/theme-functions.php
- framework/functions/translations.php
- framework/headers/header-main-nav.php
- framework/loops/loop-default.php
- framework/parts/featured.php
- framework/parts/post-featured.php
- framework/parts/post-fly-box.php
- framework/parts/video-list.php
- framework/plugin-integrations/amp.php
- framework/plugin-integrations/jetpack.php
- framework/plugin-integrations/load.php
- framework/plugin-integrations/amp-templates/style.php
- framework/widgets/posts.php
- framework/widgets/slider.php
- framework/widgets/tabs.php
- images/tie-empty-square.png
- js/scripts.js
- js/scripts.min.js
- js/sliders.js
- js/sliders.min.js

-------------------------------------------------------------------------

= 1.1.1 - 2017-07-25 =

- IMPROVED: LazyLoad for the user's avatar.
- IMPROVED: WooCommerce elements Styling.
- IMPROVED: Mobile menu spacing.
- IMPROVED: Comments section styles.
- IMPROVED: Twitter videos style.
- IMPROVED: Cart and BuddyPress notifications bubble style.
- IMPROVED: Special chars support in the Story Highlights, source, and Via modules.
- IMPROVED: PHP 7 Compatibility.
- Fix: Web Notification bug.
- Fix: Bug in the Post views module.
- Fix: Custom RSS URL bug.
- Fix: Index Shortcode bug with the non-latin languages.
- Fix: Styling conflict with the LiveBlog plugin.
- Fix: HTML codes issue in the og:description meta.
- Fix: Misspelled words.
- Fix: AMP Facebook share button bug.
- Fix: Sliders Blocks styling issue on FireFox.
- And Improvements and minor bug fixes.

# Files Updated
- functions.php
- rtl.css
- single.php
- style.css
- css/style.css
- css/style.min.css
- css/woocommerce.css
- css/woocommerce.min.css
- framework/admin/demo-importer.php
- framework/admin/framework-admin.php
- framework/admin/framework-system-status.php
- framework/admin/framework-validation.php
- framework/admin/posts-options.php
- framework/admin/assets/style.css
- framework/admin/assets/tie.js
- framework/admin/assets/images/foxpush.svg
- framework/admin/inc/one-click-demo-import/one-click-demo-import.php
- framework/admin/post-options/general.php
- framework/admin/theme-options/social.php
- framework/admin/theme-options/web-notifications.php
- framework/functions/formating.php
- framework/functions/foxpush.php
- framework/functions/images.php
- framework/functions/open-graph.php
- framework/functions/post-views.php
- framework/functions/setup.php
- framework/functions/social.php
- framework/functions/theme-functions.php
- framework/functions/translations.php
- framework/headers/header-components.php
- framework/plugin-integrations/amp.php
- framework/plugin-integrations/woocommerce.php
- framework/plugin-integrations/amp-templates/style.php
- js/scripts.js
- js/scripts.min.js
- languages/ar.mo
- languages/ar.po
- languages/jannah.pot

-------------------------------------------------------------------------

= 1.1.0 - 2017-07-10 =

- NEW: Introducing our Jannah Switcher Plugin now you can migrating your posts from 17 themes to Jannah.
- NEW: Option to set a custom RSS feed URL.
- NEW: Option to embed Audio code.
- NEW: Unlimited Source and Via options.
- NEW: Facebook Videos support.
- NEW: Twitter Videos support.
- NEW: Option to set the page as a front page directly from the edit page.
- IMPROVED: Disallow switching to Jannah if the current PHP version in prior 5.3.
- IMPROVED: The Images quality in the full-width mode for blocks: #4, #11, #12 and #15.
- IMPROVED: Theme options page speed.
- IMPROVED: Post Content images lazy load.
- Fix: Bug prevents the Permalink edit section from appearing when adding a new post.
- Fix: Post Layout 8 background bug.
- Fix: Adsense Ad styling issue in the post content area.
- Fix: Twitter share button is changing to the official button if the Twitter Js file is loaded in the page.
- Fix: Mobile menu issue when the "Hidding Heading" option is active.
- Fix: Comments section title translation bug.
- Fix: Bug in the Slideshow shortcode.
- Fix: Youtube Widget styling bug in the RTL.
- And Improvements and minor bug fixes.

# Files Updated
- rtl.css
- style.css
- single.php
- comments.php
- functions.php
- css/bbpress.css
- css/style.css
- css/style.min.css
- framework/blocks.php
- framework/admin/framework-admin.php
- framework/admin/framework-notices.php
- framework/admin/framework-options.php
- framework/admin/framework-system-status.php
- framework/admin/framework-validation.php
- framework/admin/posts-options.php
- framework/admin/required-plugins.php
- framework/admin/switcher.php
- framework/admin/theme-options.php
- framework/admin/updates.php
- framework/admin/assets/style.css
- framework/admin/assets/tie.js
- framework/admin/category-options/category-layout.php
- framework/admin/inc/tgm/class-tgm-plugin-activation.php
- framework/admin/post-options/general.php
- framework/admin/post-options/source-via.php
- framework/admin/theme-options/advanced.php
- framework/admin/theme-options/social.php
- framework/admin/theme-options/typography.php
- framework/functions/backward-compatibility.php
- framework/functions/disable.php
- framework/functions/formating.php
- framework/functions/media.php
- framework/functions/mega-menus.php
- framework/functions/post-views.php
- framework/functions/setup.php
- framework/functions/social.php
- framework/functions/styles-footer.php
- framework/functions/styling.php
- framework/functions/theme-functions.php
- framework/functions/translations.php
- framework/functions/wp-helper-functions.php
- framework/headers/header-posts-layout.php
- framework/loops/loop-default.php
- framework/loops/loop-full_thumb.php
- framework/loops/loop-large_above.php
- framework/loops/loop-large_first.php
- framework/loops/loop-overlay-title.php
- framework/parts/archives.php
- framework/parts/page-head.php
- framework/parts/post-featured.php
- framework/parts/post-share.php
- framework/plugin-integrations/amp.php
- js/scripts.js
- js/scripts.min.js
- languages/ar.mo
- languages/ar.po
- languages/jannah.pot

-------------------------------------------------------------------------

= 1.0.3 - 2017-07-01 =

- IMPROVED: BuddyPress Profile page link in the Login widget.
- IMPROVED: WooCommerce Elements Styles.
- IMPROVED: Post Layout 8 with header 3 when the below header ad is active.
- IMPROVED: AMP RTL elements styles.
- IMPROVED: 'Story Highlights' text added to the translations panel.
- IMPROVED: Amp Related posts module now uses the amp links for the posts
- IMPROVED: New option to disable the theme's AMP functionality in case you want to use a 3d party plugin.
- Fix: AMP validations errors.
- Fix: Saving Page error when the page builder margin fields contain a negative number.
- Fix: Archive title bug.
- Fix: Estimated Reading time issue with non-latin languages.
- Fix: Hide Mega Menu sub-titles option in the mobile menu.
- Fix: Missing the icons and text labels in the Mobile menu.
- Fix: Missing some translation texts in the live search module.
- Fix: Images Lazyload bug with the Elementor plugin.
- Fix: Images Lazyload bug with the Jetpack plugin.
- Fix: Installing plugins updates on some servers.
- And Improvements and minor bug fixes.

# Files Updated
- functions.php
- rtl.css
- style.css
- css/bbpress.css
- css/buddypress.css
- css/buddypress.min.css
- css/style.css
- css/style.min.css
- css/woocommerce.css
- css/woocommerce.min.css
- framework/admin/demo-importer.php
- framework/admin/framework-admin.php
- framework/admin/framework-options.php
- framework/admin/framework-validation.php
- framework/admin/required-plugins.php
- framework/admin/updates.php
- framework/admin/assets/style.css
- framework/admin/theme-options/amp.php
- framework/functions/formating.php
- framework/functions/images.php
- framework/functions/mega-menus.php
- framework/functions/setup.php
- framework/functions/styles-footer.php
- framework/functions/theme-functions.php
- framework/functions/translations.php
- framework/headers/header-main-nav.php
- framework/plugin-integrations/amp.php
- framework/plugin-integrations/woocommerce.php
- framework/plugin-integrations/amp-templates/featured-image.php
- framework/plugin-integrations/amp-templates/footer.php
- framework/plugin-integrations/amp-templates/header-bar.php
- framework/plugin-integrations/amp-templates/style.php

-------------------------------------------------------------------------

= 1.0.2 - 2017-06-26 =

- IMPROVED: Compatibility with WordPress 4.6.0 and below.
- IMPROVED: Compatibility with PHP 7.1.1.
- IMPROVED: .slider-nav class name changed to avoid any conflicts with 3d party plugins.
- IMPROVED: BuddyPress styling.
- IMPROVED: Highlight for the parent menu item of current item.
- IMPROVED: Highlight for the sub menu active item.
- IMPROVED: Page's featured image now appears by default.
- IMPROVED: Theme Wrappers for the Sensei plugin.
- Fix: Post URL in the twitter share button.
- Fix: Translation panel bug with the statements contain custom chars.
- Fix: Missing Registration link in the login widget when using WordPress Multisite.
- Fix: Scrolling block Javascript issue.
- Fix: In post custom links color.
- Fix: Conflict with the JetPack comments section.
- Fix: Ajax pagination bug in the archives.
- And Improvements and minor bug fixes.

# Files Updated
- functions.php
- rtl.css
- style.css
- css/buddypress.css
- css/buddypress.min.css
- css/ie-lt-10.css
- css/style.css
- css/style.min.css
- css/woocommerce.css
- css/woocommerce.min.css
- framework/blocks.php
- framework/admin/demo-importer.php
- framework/admin/framework-notices.php
- framework/admin/framework-system-status.php
- framework/admin/page-builder-widgets.php
- framework/admin/assets/style.css
- framework/admin/assets/tie.js
- framework/admin/inc/one-click-demo-import/one-click-demo-import.php
- framework/admin/inc/one-click-demo-import/inc/class-ocdi-widget-importer.php
- framework/admin/inc/one-click-demo-import/vendor/humanmade/WordPress-Importer/class-wxr-importer.php
- framework/admin/theme-options/amp.php
- framework/admin/theme-options/translations.php
- framework/functions/ajax.php
- framework/functions/backward-compatibility.php
- framework/functions/formating.php
- framework/functions/open-graph.php
- framework/functions/setup.php
- framework/functions/theme-functions.php
- framework/parts/featured.php
- framework/parts/page-head.php
- framework/parts/post-featured.php
- framework/parts/post-share.php
- framework/plugin-integrations/amp.php
- framework/plugin-integrations/buddypress.php
- framework/plugin-integrations/load.php
- framework/plugin-integrations/sensei.php
- framework/plugin-integrations/woocommerce.php
- framework/widgets/slider.php
- framework/widgets/twitter.php
- js/sliders.js
- js/sliders.min.js

-------------------------------------------------------------------------

= 1.0.1 - 2017-06-22 =

- IMPROVED: Notice message in the menu page for the max_input_vars configuration.
- IMPROVED: Styles of some elements.
- Fix: Up-Sells section number of products.
- Fix: Error bug in the Sahifa/Jarida Switch Bridge.
- Fix: Post Slideshow bug when the minified plugin is active.
- REMOVED: Featured Videos widget. use the new Video widget in WordPress 4.8 instead.
- And Improvements and minor bug fixes.

# Files Updated
- functions.php
- style.css
- css/style.css
- css/style.min.css
- framework/widgets.php
- framework/admin/framework-admin.php
- framework/admin/framework-system-status.php
- framework/admin/menu-limit-detector.php
- framework/functions/backward-compatibility.php
- framework/functions/mega-menus.php
- framework/functions/woocommerce.php
- framework/widgets/video.php
- js/sliders.js
- js/sliders.min.js

-------------------------------------------------------------------------

= 1.0.0 - 2017-06-19 =

- First release
